<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( !defined('ID2') ) {
	include (SYSTEM.'/admin/naglowek.php');
?>
<style scoped>
	div.kolumnySpisuPomocy { display: table; width: 100%; }
	div.kolumnySpisuPomocy div { display: table-cell; width: 50%; }
	div.kolumnySpisuPomocy ul { list-style-type: circle; }
	h3.dokumentacjaUkryta { visibility: hidden; }
	h3.dokumentacjaUkryta + div { font-size: 20em; text-align: right; float: right; line-height: 0.5em; opacity: 0.2; padding-right: 0.3em; }
</style>

<h2>Pomoc</h2>

<div class="kolumnySpisuPomocy">

	<div>
		<h3>Pytania i odpowiedzi</h3>
		<ul>
			<li><a href="?id=dokumentacja&b=pytaniaIOdpowiedzi#szkicStrony">Czym jest szkic strony?</a></li>
			<li><a href="?id=dokumentacja&b=pytaniaIOdpowiedzi#identyfikatorStrony">Czym jest identyfikator strony?</a></li>
			<li><a href="?id=dokumentacja&b=pytaniaIOdpowiedzi#typZawartosci">Czym jest typ zawartości strony?</a></li>
			<li><a href="?id=dokumentacja&b=pytaniaIOdpowiedzi#motyw">Czym jest motyw?</a></li>
			<li><a href="?id=dokumentacja&b=pytaniaIOdpowiedzi#przyjazneAdresy">Czym są przyjazne adresy?</a></li>
			<li><a href="?id=dokumentacja&b=pytaniaIOdpowiedzi#statystykiZewnetrzne">Do czego służy kod statystyk zewnętrznych?</a></li>
			<?php if ( odczytKonf('sposobEdycjiTekstu') == 'edytorWizualny' ) { ?>
			<li><a href="?id=dokumentacja&b=pytaniaIOdpowiedzi#edytorWizualny">Do czego służy edytor wizualny?</a></li>
			<?php } ?>
			<li><a href="?id=dokumentacja&b=pytaniaIOdpowiedzi#kopiaZapasowa">Jak stworzyć kopię zapasową witryny?</a></li>
		</ul>
	</div>

	<div>
		<?php if ( odczytKonf('dokumentacjaUkryj') ) { ?>
		<h3 class="dokumentacjaUkryta">Dokumentacja</h3>
		<div>?</div>
		<?php } else { ?>
		<h3>Dokumentacja</h3>
		<ul>
			<?php if ( odczytKonf('sposobEdycjiTekstu') == 'jezykMarkdown' ) { ?>
			<li><a href="?id=dokumentacja&b=jezykMarkdown">Składnia języka Markdown</a></li>
			<?php } ?>
			<li><a href="?id=dokumentacja&b=konfiguracjaWTK">Konfiguracja zaawansowana</a></li>
			<li><a href="?id=dokumentacja&b=tworzenieMotywow">Tworzenie motywów</a></li>
			<li><a href="?id=dokumentacja&b=edycjaMotywowITypow">Edycja motywów i typów zawartości</a></li>
			<li><a href="?id=dokumentacja&b=semantykaWitryn">Semantyka witryn internetowych</a></li>
		</ul>
		<?php } ?>
	</div>

</div>
<?php
	include (SYSTEM.'/admin/stopka.php');
}

elseif ( ID2 == 'pytaniaIOdpowiedzi' ) {
	include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Pomoc &mdash; pytania i odpowiedzi</h2>

<dl>

	<dt id="szkicStrony">Czym jest szkic strony?</dt>
	<dd>Szkic strony jest prawie tym samym, co zwykła strona, ale, zgodnie ze swoją nazwą, jest czymś niedokończonym, a w związku z tym nie jest dostępny publicznie. Szkice to idealne miejsce na przechowywanie treści, które dopiero zamierzasz opublikować w przyszłości.</dd>

	<dt id="identyfikatorStrony">Czym jest identyfikator strony?</dt>
	<dd>Identyfikatorem strony nazywamy uproszczoną nazwę strony przeznaczoną do umieszczenia w pasku adresu przeglądarki. Na przykład strona o nazwie &bdquo;Skontaktuj się ze mną&rdquo; otrzyma identyfikator <code>skontaktuj-sie-ze-mna</code>. Identyfikator nie może zawierać niestandardowych znaków, polskich liter i&nbsp;spacji oraz musi być unikalny w całej witrynie.</dd>

	<dt id="typZawartosci">Czym jest typ zawartości strony?</dt>
	<dd>Typ zawartości strony jest rodzajem pojedynczej strony znajdującej się w całej witrynie. Typ zawartości to np. miniblog, galeria zdjęć, magazyn plików czy zwykła strona. Typ zawartości należy określić przy tworzeniu strony &ndash; wpływa on na późniejsze możliwości edycji strony (w galerii zdjęć możemy dodawać zdjęcia, ale w miniblogu umieszczamy wpisy).</dd>

	<dt id="motyw">Czym jest motyw?</dt>
	<dd>Motyw jest szablonem wizualnym witryny. Decyduje on o kolorystyce witryny oraz układzie, czyli rozmieszczeniu nagłówka z tytułem, menu oraz głównej treści. Niektóre motywy umożliwiają personalizację, czyli uproszczoną modyfikację kolorystyki i wygladu.</dd>

	<dt id="przyjazneAdresy">Czym są przyjazne adresy?</dt>
	<dd>Funkcja przyjaznych adresów upraszcza adres wyświetlany w pasku adresu przeglądarki, pozbywając się z niego zbędnych elementów. Na przykład zamiast adresu <code>www.jankowalski.pl/?id=kontakt</code> dostępny jest adres <code>www.jankowalski.pl/kontakt</code>.</dd>

	<dt id="statystykiZewnetrzne">Do czego służy kod statystyk zewnętrznych?</dt>
	<dd>System zarządzania treścią WizyTówka posiada prosty mechanizm zliczania odwiedzających witryny (dostępny na stronie <a href="?id=statystyki"><strong>Statystyki</strong></a>), jednak w wielu przypadkach może on być niewystarczający.<br />Istnieje wiele zewnętrznych narzędzi analizujących ruch serwisów internetowych, np. <a href="http://www.google.pl/analytics/" target="_blank">Google Analytics</a>. Wymagają one umieszczenia w badanej witrynie kodu śledzącego, który w systemie WizyTówka nazywany jest kodem statystyk zewnętrznych &ndash; wystarczy go tylko wkleić w odpowiednie pole.</dd>

	<?php if ( odczytKonf('sposobEdycjiTekstu') == 'edytorWizualny' ) { ?>
	<dt id="edytorWizualny">Do czego służy edytor wizualny?</dt>
	<dd>Edytor wizualny pozwala na umieszczenie w treści strony odnośników, nagłówków, obrazów, formatowanie tekstu (wyrównanie, przekreślenie, podkreślenie, kolor tła i tekstu) oraz delikatne i mocne wyróżnienie (najczęściej pochylenie i pogrubienie). Do jego obsługi nie potrzeba fachowej wiedzy z&nbsp;zakresu znaczników HTML, jest przeznaczony głównie dla początkujących.</dd>
	<?php } ?>

	<dt id="kopiaZapasowa">Jak stworzyć kopię zapasową witryny?</dt>
	<dd>Aby pobrać na komputer kopię zapasową, należy na stronie <a href="?id=kopiaZapasowa"><strong>Kopia zapasowa</strong></a> dostępnej z menu <strong>Narzędzia</strong> wskazać elementy witryny obejmowane przez kopię (zaleca się pozostawić wszystkie zaznaczone), a następnie pobrać wygenerowany plik archiwum ZIP. Po pobraniu należy usunąć go z&nbsp;serwera przy użyciu odpowiedniego przycisku.<?php if ( !odczytKonf('wysokieZabezpieczenie') ) { ?><br />Aby przywrócić kopię zapasową, należy przesłać plik archiwum ZIP na stronie <a href="?id=wyslijPliki"><strong>Wyślij pliki</strong></a>, a następnie wskazać go na stronie <a href="?id=kopiaZapasowa"><strong>Kopia zapasowa</strong></a>. Plik kopii musi być kompletny.<?php } ?></dd>

</dl>
<?php
	include (SYSTEM.'/admin/stopka.php');
}

elseif ( ID2 == 'konfiguracjaWTK' ) {
	include (SYSTEM.'/admin/naglowek.php');
?>
<style scoped>
	#menuDodatkoweTytul { margin-top: 0; }
	#edytorWizualnyUkrytePrzyciski + dd { max-height: 140px; overflow-y: scroll; }
</style>

<h2>Pomoc &mdash; konfiguracja zaawansowana</h2>

<p>System WizyTówka został wyposażony w Edytor WTK (Wyjątkowo Trudna Konfiguracja) służący do edycji głównego pliku konfiguracyjnego przechowującego większość ustawień witryny i&nbsp;samego CMS-a. Można go porównać do stron about:config w przeglądarkach internetowych.</p>

<p>Cześć zawartych w nim ustawień można zmieniać na stronach panelu administracyjnego WizyTówki, jednak niektóre z nich zostały ukryte, gdyż są przeznaczone tylko dla zaawansowanych użytkowników i nie powinny być modyfikowane bez odpowiedniej wiedzy.</p>

<p class="uwaga">Edytor konfiguracji jest przeznaczony wyłącznie dla zaawansowanych użytkowników. Błędna edycja konfiguracji może nieodwracalnie uszkodzić witrynę.</p>

<p>Edytor WTK dostępny jest pod adresem <a href="?id=wtk"><?php echo odczytKonf('panelAdminAdres') ?>?id=wtk</a>. Może też znajdować się w menu <strong>Narzędzia</strong>.</p>

<p>Można edytować wyłącznie ustawienia wymienione w dalszej części tego dokumentu. Edycja niewymienionych niżej ustawień może spowodować niepoprawne działanie systemu WizyTówka.</p>

<h3>Ukryte ustawienia zaawansowane</h3>

<dl>

	<dt id="adresPlikow"><code>adresPlikow</code></dt>
	<dd>Zawiera adres folderu gromadzącego przesyłane pliki użytkownika widoczne na strone <a href="?id=wyslanePliki"><strong>Wysłane pliki</strong></a> panelu administracyjnego. Domyślnie: <code><?php echo DANE ?>/pliki</code>. Folder musi istnieć na serwerze, inaczej wystąpi błąd przy przesyłaniu plików. Jeżeli to ustawienie zostanie zmienione, nie będzie można pobrać wysłanych plików na komputer poprzez funkcję <a href="?id=kopiaZapasowa"><strong>Kopia zapasowa</strong></a>.</dd>

	<dt id="bledyKrytyczne"><code>bledyKrytyczne</code></dt>
	<dd>Decyduje o wyświetlaniu błędów krytycznych. Przyjmuje wartość <code>0</code> (wtedy żadne błędy nie są wyświetlane, lecz jedynie zapisywane w <a href="?id=dziennikBledow"><strong>Dzienniku błędów</strong></a>) lub <code>1</code> (wtedy wystąpienie jakiegokolwiek błędu w skrypcie powoduje przerwanie ładowania strony i wyświetlenie komunikatu).</dd>

	<dt id="dodatkowyStylWPaneluAdmin"><code>dodatkowyStylWPaneluAdmin</code></dt>
	<dd>Zawiera adres arkusza stylów CSS dołączanego do panelu administracyjnego. Pozwala na modyfikowanie wyglądu panelu, ukrycie wybranych elementów, zmianę stylizacji. Plik powinien znajdować się w folderze <code><?php echo DANE ?></code>. Domyślnie: puste.</dd>

	<dt id="dodatkowyStylWWitrynie"><code>dodatkowyStylWWitrynie</code></dt>
	<dd>Zawiera adres arkusza stylów CSS dołączanego do witryny. Pozwala na modyfikowanie wyglądu motywu bez ingerencji w jego pliki. Plik powinien znajdować się w folderze <code><?php echo DANE ?></code>. Domyślnie: puste.</dd>

	<dt id="dokumentacjaUkryj"><code>dokumentacjaUkryj</code></dt>
	<dd>Ukrywa odnośniki do dokumentacji na stronie <a href="?id=dokumentacja"><strong>Tematy pomocy</strong></a>. Przyjmuje wartość <code>0</code> lub <code>1</code>.</dd>

	<dt id="domyslnyCzasLogowania"><code>domyslnyCzasLogowania</code></dt>
	<dd>Czas ważności zalogowania zaznaczony domyślnie na stronie logowania do panelu administracyjnego. Niezależnie od tego ustawienia użytkownik może zmienić ten czas. Możliwe wartości: <code>kwadrans</code>, <code>godzina</code>, <code>doKoncaDoby</code>, <code>jedenDzien</code>, <code>dwaTygodnie</code>. Domyślnie: <code>jedenDzien</code>.</dd>

	<dt id="domyslnyTypWPaneluAdmin"><code>domyslnyTypWPaneluAdmin</code></dt>
	<dd>Identyfikator typu zawartości strony domyślnie zaznaczanego na stronie <a href="?id=utworzStrone"><strong>Utwórz stronę</strong></a>. Domyślnie: <code>_zwyklaStrona</code>.</dd>

	<dt id="dziennikBledow"><code>dziennikBledow</code></dt>
	<dd>Decyduje o wyświetlaniu pozycji <strong>Dziennik błędów</strong> w menu <strong>Narzędzia</strong>. Przyjmuje wartość <code>0</code> lub <code>1</code>.</dd>

	<dt id="edytorPlikow"><code>edytorPlikow</code></dt>
	<dd>Decyduje o wyświetlaniu pozycji <strong>Edytor plików</strong> w menu <strong>Narzędzia</strong> oraz o widoczności odnośników <strong>Edytuj</strong> na liście typów zawartości stron na stronie <a href="?id=utworzStrone"><strong>Utwórz stronę</strong></a> oraz na liście motywów na stronie <a href="?id=motywyIPersonalizacja"><strong>Motywy i personalizacja</strong></a>. Przyjmuje wartości <code>0</code> (odnośniki i pozycja w menu ukryte), <code>1</code> (odnośniki i&nbsp;pozycja w menu widoczne), <code>2</code> (pozycja w menu widoczna; odnośniki na liście motywów widoczne, ale na liście typów zawartości ukryte), <code>3</code> (odwrotnie).</dd>

	<dt id="edytorPlikowGlownyFolder"><code>edytorPlikowGlownyFolder</code></dt>
	<dd>Zawiera etykietę najwyższego folderu Edytora plików. Domyślnie: <code><?php echo DANE ?></code>.</dd>

	<dt id="edytorPlikowOgraniczenia"><code>edytorPlikowOgraniczenia</code></dt>
	<dd>Decyduje o ograniczeniach Edytora plików. Jeśli ograniczenia są włączone, odnośnik edycji pliku jest widoczny tylko przy plikach z typowymi rozszerzeniami (php, css, js, html, txt), a pliki niezbędne do działania systemu WizyTówka są ukryte. Przyjmuje wartości <code>0</code> lub <code>1</code>.</dd>

	<dt id="edytorPlikowPodswietlanieSkladni"><code>edytorPlikowPodswietlanieSkladni</code></dt>
	<dd>Decyduje o podświetlaniu składni plików HTML, JavaScript, PHP i CSS w <strong>Edytorze plików</strong> poprzez skrypt CodeMirror. Przyjmuje wartości <code>0</code> lub <code>1</code>.</dd>

	<dt id="edytorWTK"><code>edytorWTK</code></dt>
	<dd>Decyduje o wyświetlaniu pozycji <strong>Edytor WTK</strong> w menu <strong>Narzędzia</strong>. Przyjmuje wartość <code>0</code> lub <code>1</code>.</dd>

	<dt id="edytorWizualnyFormatowanie"><code>edytorWizualnyFormatowanie</code></dt>
	<dd>Zawiera rozdzielone średnikami znaczniki znajdujące się w menu <strong>Format</strong> edytora wizualnego CKEditor. Pełna funkcjonalność: <code>p;h1;h2;h3;h4;h5;h6;address;div</code>. Domyślnie: <code>p;h3;h4;h5</code>. Umieszczenie nieznanego znacznika powoduje błąd.</dd>

	<dt id="edytorWizualnyOgraniczHTML"><code>edytorWizualnyOgraniczHTML</code></dt>
	<dd>Decyduje o ograniczeniach umieszczania własnego kodu HTML przy użyciu edytora CKEditor. Przyjmuje wartość <code>0</code> (wtedy użytkownik może umieścić na stronie dowolne znaczniki HTML) lub <code>1</code> (użytkownik może w kodzie HTML umieścić tylko znaczniki związane z aktualną funkcjonalnością i widocznymi przyciskami edytora WYSIWYG, inne są usuwane). Domyślnie: <code>0</code>.</dd>

	<dt id="edytorWizualnyUkrytePrzyciski"><code>edytorWizualnyUkrytePrzyciski</code></dt>
	<dd>Zawiera rozdzielone przecinkami nazwy ukrytych przycisków edytora wizualnego CKEditor.
		<br />&mdash; <code>Bold</code> &ndash; mocne wyróżnienie, pogrubienie,
		<br />&mdash; <code>Italic</code> &ndash; delikatne wyróżnienie, pochylenie,
		<br />&mdash; <code>Underline</code> &ndash; podkreślenie,
		<br />&mdash; <code>Strike</code> &ndash; przekreślenie,
		<br />&mdash; <code>Superscript</code> &ndash; indeks górny (domyślnie ukryte),
		<br />&mdash; <code>Subscript</code> &ndash; indeks dolny (domyślnie ukryte),
		<br />&mdash; <code>JustifyLeft</code> &ndash; wyrównanie akapitu lub obrazu do lewej,
		<br />&mdash; <code>JustifyCenter</code> &ndash; wyrównanie akapitu do środka,
		<br />&mdash; <code>JustifyRight</code> &ndash; wyrównanie akapitu lub obrazu do prawej,
		<br />&mdash; <code>JustifyBlock</code> &ndash; wyrównanie akapitu do lewej i prawej (domyślnie ukryte),
		<br />&mdash; <code>TextColor</code> &ndash; kolor tekstu (domyślnie ukryte),
		<br />&mdash; <code>BGColor</code> &ndash; kolor tła tekstu (domyślnie ukryte),
		<br />&mdash; <code>Blockquote</code> &ndash; blok cytatu,
		<br />&mdash; <code>NumberedList</code> &ndash; lista uporządkowana, numerowana,
		<br />&mdash; <code>BulletedList</code> &ndash; lista nieuporządkowana,
		<br />&mdash; <code>RemoveFormat</code> &ndash; usunięcie lokalnego formatowania,
		<br />&mdash; <code>Format</code> &ndash; menu wyboru formatu (nagłówki, akapity itp.),
		<br />&mdash; <code>Link</code> &ndash; odnośnik,
		<br />&mdash; <code>Unlink</code> &ndash; usunięcie odnośnika,
		<br />&mdash; <code>Anchor</code> &ndash; kotwica (domyślnie ukryte),
		<br />&mdash; <code>Image</code> &ndash; obraz,
		<br />&mdash; <code>HorizontalRule</code> &ndash; linia pozioma,
		<br />&mdash; <code>Undo</code> &ndash; cofnięcie zmian,
		<br />&mdash; <code>Redo</code> &ndash; przywrócenie cofniętych zmian,
		<br />&mdash; <code>Maximize</code> &ndash; maksymalizacja edytora wizualnego na całą wielkość okna,
		<br />&mdash; <code>Source</code> &ndash; przełączenie między edytorem wizualnym i kodem źródłowym.
	</dd>

	<dt id="edytorWizualnyWlasny"><code>edytorWizualnyWlasny</code></dt>
	<dd>Decyduje o lokalizacji edytora CKEditor. Pozwala na zastąpienie wbudowanego w system WizyTówka edytora wizualnego własnym, bardziej rozbudowanym lub uboższym funkcjonalnie. Przyjmuje wartości <code>0</code> (ładowany jest domyślny CKEditor wbudowany w CMS) lub <code>1</code> (wtedy ładowany jest własny edytor wizualny; musi on znajdować się na serwerze w folderze <code><?php echo DANE ?>/ckeditor</code>).</dd>

	<dt id="edytorWizualnyWysokosc"><code>edytorWizualnyWysokosc</code></dt>
	<dd>Wysokość obszaru edytora wizualnego CKEditor, wartość w pikselach. Domyślnie: <code>400</code>.</dd>

	<dt id="formatDaty"><code>formatDaty</code></dt>
	<dd>Ciąg znaków zawierający modyfikatory daty zgodnie z formatem funkcji <a href="http://pl1.php.net/manual/en/function.strftime.php"><code>strftime()</code></a>. Mimo możliwości zmiany formaty daty na stronie <a href="?id=ustawieniaWitryny"><strong>Ustawienia witryny</strong></a> można go też zmienić poprzez modyfikację tego ustawienia. Zmiana tego ustawienia blokuje pole formatu daty na stronie <a href="?id=ustawieniaWitryny"><strong>Ustawienia witryny</strong></a>.</dd>

	<dt id="ieHTML5Shiv"><code>ieHTML5Shiv</code></dt>
	<dd>Decyduje o dołączaniu do znacznika <code>&lt;head&gt;</code> witryny komentarza warunkowego dla programu Internet Explorer (w wersjach starszych niż 9) ze skryptem HTML5Shiv zapewniającym częściową zgodność tej przeglądarki z HTML5. Przyjmuje wartość <code>0</code> lub <code>1</code>.</dd>

	<dt id="menuGlowneTytul"><code>menuGlowneTytul</code></dt>
	<dt id="menuDodatkoweTytul"><code>menuDodatkoweTytul</code></dt>
	<dd>Ustawienia te zawierają tytuły, którymi oznaczane są menu główne oraz menu dodatkowe. W wielu motywach te tytuły są niewidoczne i istnieją tylko w celu prawidłowego zatytułowania sekcji w outline HTML5 (powinny znajdować się w znaczniku <code>&lt;h2&gt;</code> wewnątrz znacznika <code>&lt;nav&gt;</code>). Domyślne wartości to odpowiednio: <code>Menu główne</code>, <code>Menu dodatkowe</code>.</dd>

	<dt id="ochronaHtaccess"><code>ochronaHtaccess</code></dt>
	<dd>Decytuje o sposobie traktowania pliku konfiguracyjnego <code>.htaccess</code>. Przyjmuje wartości <code>0</code> (wtedy plik ten jest tworzony, gdy użytkownik włączy przyjazne adresy na stronie <a href="?id=ustawieniaWitryny"><strong>Ustawienia witryny</strong></a> oraz usuwany, gdy wyłączy tę funkcję) lub <code>1</code> (wtedy system WizyTówka nie modyfikuje tego pliku).</dd>

	<dt id="panelAdminAdres"><code>panelAdminAdres</code></dt>
	<dd>Zawiera nazwę pliku PHP ładującego panel administracyjny systemu WizyTówka. Musi on znajdować się w głównym katalogu witryny. Domyślnie: <code>admin.php</code>.</dd>

	<dt id="sposobEdycjiTekstu"><code>sposobEdycjiTekstu</code></dt>
	<dd>Określa sposób edycji zawartości stron, uaktywniając niektóre elementy systemu WizyTówka i&nbsp;ukrywając inne. Przyjmuje następujące wartości: <code>edytorWizualny</code> (uaktywnia edytor wizualny CKEditor), <code>jezykMarkdown</code> (włącza parser języka Markdown oraz wyłącza edytor CKEditor), &lt;pusty&nbsp;ciąg&gt; (dezaktywuje parser Markdown i edytor wizualny).</dd>

	<dt id="sprawdzanieAktualizacjiWT"><code>sprawdzanieAktualizacjiWT</code></dt>
	<dd>Zawiera czas uniksowy, po którego przekroczeniu na stronie <a href="?id=wizytowka"><strong>O WizyTówce</strong></a> będzie sprawdzana dostępność nowej wersji WizyTówki. Przyjmuje wartości <code>0</code> (wtedy sprawdzanie aktualizacji jest wyłączone) albo jakąkolwiek inną liczbową w formie czasu uniksowego, albo <code>nowaWersja</code>.</dd>

	<dt id="statystykiZewnetrzneWylacz"><code>statystykiZewnetrzneWylacz</code></dt>
	<dd>Umożliwia ukrycie sekcji <strong>Statystyki zewnętrzne</strong> na stronie <a href="?id=statystyki"><strong>Statystyki</strong></a>. Nie blokuje ładowania kodu statystyk zewnętrznych (takich jak Google Analytics), lecz jedynie ukrywa pola umożliwiające jego modyfikację. Przyjmuje wartości <code>0</code> lub <code>1</code>.</dd>

	<dt id="stopkaPanelAdminTekst"><code>stopkaPanelAdminTekst</code></dt>
	<dd>Zawiera etykietę odnośnika do panelu administracyjnego umieszczonego w stopce witryny (można go wyłączyć lub włączyć na stronie <a href="?id=naglowekIStopka"><strong>Nagłówek i stopka</strong></a>). Domyślnie: <code>Administracja</code>.</dd>

	<dt id="wysokieZabezpieczenie"><code>wysokieZabezpieczenie</code></dt>
	<dd>Tryb wysokiego zabezpieczenia blokuje dostęp do funkcji umożliwiających dużą ingerencję w witrynę. Włączenie wysokiego zabezpieczenia
		<br />&mdash; blokuje dostęp do Edytora plików oraz do Edytora WTK (również przez adres URL),
		<br />&mdash; blokuje możliwość przywrócenia kopii zapasowej oraz wyczyszczenia Dziennika błędów,
		<br />&mdash; blokuje dostęp do deinstalatora systemu (admin.php?id=deinstalator).
	<br />To ustawienie jest nadrzędne względem innych ustawień. Włączenie wysokiego zabezpieczenia można cofnąć jedynie edytując plik konfiguracyjny na serwerze witryny! Przyjmuje wartość <code>0</code> lub <code>1</code>.</dd>

	<dt id="wysylaniePlikowMaksymalnieBajtow"><code>wysylaniePlikowMaksymalnieBajtow</code></dt>
	<dd>Liczba bajtów przedstawiająca maksymalną wielkość przesyłanego przez użytkownika pliku. Domyślnie: <code>10485760</code> (10 MiB). Należy pamiętać, że nadrzędna względem tego ustawienia jest dyrektywa <code>upload_max_filesize</code> pliku <code>php.ini</code>. </dd>

	<dt id="wysylaniePlikowZawszeMaleLitery"><code>wysylaniePlikowZawszeMaleLitery</code></dt>
	<dd>Decyduje o nazwach przesyłanych plików. Domyślnie wszystkie litery są zamieniane na małe. To ustawienie pozala wyłączyć tę zamianę. Przyjmuje wartości <code>0</code> lub <code>1</code>. Domyślnie: <code>0</code>.</dd>

</dl>

<h3>Tworzenie i odczyt ustawień</h3>

<p>Poprzez Edytor WTK można tworzyć własne ustawienia w celu późniejszego użycia ich w plikach PHP (we własnych motywach oraz we własnych typach zawartości stron). W tym celu należy skorzystać z polecenia na dole strony Edytora WTK. Usunięcie ustawienia odbywa się poprzez nadanie mu wartości <code>WTK_USUN</code>.</p>

<p>Aby w skrypcie PHP odczytać wartość ustawienia, należy użyć funkcji <code>odczytKonf()</code>, która jako argument przyjmuje nazwę pożądanego ustawienia (wielkość liter ma znaczenie; jeżeli ustawienie nie istnieje, wystąpi błąd). Modyfikacja konfiguracji jest możliwa poprzez funkcję <code>zapisKonf()</code> przyjmującą jako argument tablicę, w której kluczami są nazwy ustawień, a wartościami wartości tych ustawień.</p>
<?php
	include (SYSTEM.'/admin/stopka.php');
}


elseif ( ID2 == 'tworzenieMotywow' ) {
	include (SYSTEM.'/admin/naglowek.php');
?>
<style scoped>
	@import url(http://fonts.googleapis.com/css?family=Source+Code+Pro&subset=latin-ext);
	pre.przykladWTU { height: 165px; overflow-y: scroll; }
	pre a { opacity: 1 !important; text-decoration: none !important; }
</style>

<h2>Pomoc &mdash; tworzenie motywów</h2>

<p>Motyw decyduje o układzie poszczególnych elementów witryny oraz jej kolorystyce i wyglądzie. Do stworzenia motywu, prócz wyczucia estetyki, potrzebna jest znajomość języka HTML, stylizowania przez CSS oraz niewielka wiedza z zakresu programowania w PHP (przedstawiona w niniejszym artykule).</p>

<h3>Struktura plików motywu</h3>

<p>System WizyTówka gromadzi motywy w dwóch katalogach. W katalogu <code><?php echo SYSTEM ?>/motywy</code> znajdują się motywy wbudowane w CMS. Nie należy go modyfikować! Własne motywy lub zmodyfikowane motywy wbudowane należy umieszczać w katalogu <code><?php echo DANE ?>/motywy</code>.</p>

<p>Każdy motyw znajduje się osobnym podfolderze folderu motywów. Nazwa tego podfolderu jest <strong>identyfikatorem</strong> tego motywu. Wewnątrz podfolderu danego motywu można dowolnie ogranizować strukturę plików (rozdzielić pliki graficzne w osobnym podkatalogu, a arkusze stylów w osobnym itd.), jednak kilka plików obowiązkowych należy umieścić w głównym folderze danego motywu.</p>

<ul>
	<li><code>witryna.php</code> &ndash; plik przechowujący kod HTML oraz funkcje PHP wyświetlające treść dynamiczną.</li>
	<li><code>styl.css</code> &ndash; arkusz stylów witryny dołączany automatycznie przez funkcję <a href="#wtHead"><code>wtHead()</code></a>.</li>
	<li><code>identyfikator.wtu</code> &ndash; plik konfiguracyjny WTU systemu WizyTówka, którego nazwa musi być identyfikatorem motywu (musi być taka sama, jak nazwa folderu motywu).</li>
	<li><code>edytor.css</code> &ndash; arkusz stylów dla edytora wizualnego CKEditor.</li>
</ul>

<h3>Możliwości motywów i ich personalizacja</h3>

<p>Użytkownik może mieć możliwość ingerencji w motyw poprzez sześć elementów. Każdy z nich można włączyć lub wyłączyć przez plik konfiguracyjny WTU.</p>

<ul>
	<li><strong>Menu główne</strong> edytowalne na stronie <a href="?id=menu&b=1"><strong>Menu główne</strong></a>. Choć technicznie nie jest obowiązkowe, każdy motyw powinień być w to menu wyposażony.</li>
	<li><strong>Menu dodatkowe</strong> edytowalne na stronie <a href="?id=menu&b=2"><strong>Menu dodatkowe</strong></a>.</li>
	<li><strong>Obszar boczny</strong> edytowalny na stronie <a href="?id=obszary&b=1"><strong>Obszar boczny</strong></a>. Zgodnie ze swoją nazwą powinien znajdować się w panelu bocznym witryny.</li>
	<li><strong>Obszar dodatkowy</strong> edytowalny na stronie <a href="?id=obszary&b=2"><strong>Obszar dodatkowy</strong></a>.</li>
	<li><strong>Logo</strong> (plik graficzny zamiast tekstu w znaczniku <code>&lt;h1&gt;</code>) edytowalne na stronie <a href="?id=naglowekIStopka"><strong>Nagłówek i stopka</strong></a>.</li>
	<li><strong>Hasło witryny</strong> (akapit za znacznikiem <code>&lt;h1&gt;</code>) edytowalne na stronie <a href="?id=naglowekIStopka"><strong>Nagłówek i stopka</strong></a>.</li>
</ul>

<p>Na stronie <a href="?id=motywyIPersonalizacja"><strong>Motywy i personalizacja</strong></a> użytkownik może modyfikować niektóre szczegóły wyglądu motywu. Jeżeli mogłoby to zagrozić jego integralności lub estetyce, autor może zablokować tę możliwość w pliku konfiguracyjnym WTU.</p>

<ul>
	<li>Krój tekstu oraz jego wielkość i kolor (dla znacznika <code>&lt;body&gt;</code>).</li>
	<li>Kolor tła, obraz tła oraz jego powtarzanie i położenie (dla znacznika <code>&lt;body&gt;</code>).</li>
	<li>Szerokość witryny (szerokość maksymalna dla znacznika <code>&lt;body&gt;</code>).</li>
	<li>Dwa kolory dodatkowe (dowolne arkusze CSS ze zmiennymi).</li>
</ul>

<p>Wszystkie elementy personalizacji prócz kolorów dodatkowych odnoszą się do elementu <code>&lt;body&gt;</code>. Autor ma też możliwość określenia dwóch kolorów dodatkowych (np. &bdquo;Kolor odnośników&rdquo; albo &bdquo;Kolor nagłówków&rdquo;). Należy umieścić nazwę koloru oraz styl CSS ze zmiennymi w pliku konfiguracyjnym WTU.</p>

<h3>Plik konfiguracyjny WTU</h3>

<p>Plik WTU jest plikiem konfiguracyjnym motywów WizyTówki. Informuje on CMS o możliwościach motywu oraz o jego autorze. Ma strukturę podobną do plików INI. Jest podzielony na kilka sekcji. Zaleca się żadnej z nich nie pomijać. Poniżej przykładowy plik WTU z wyjaśnieniami.</p>

<p>Należy pamiętać, że ciągi znaków powinny być zapisywane między apostrofami, a ustawienia włączone/wyłączone muszą być zapisywane lub za pomocą cyfr <code>1</code> (włączone) lub <code>0</code> (wyłączone).</p>

<pre class="przykladWTU">[informacje]
nazwa           = 'Przykładowy motyw'
responsywnosc   = 1
edytorWizualny  = 1
krojGoogleFonts = 'Source Sans Pro'

[mozliwosci]
menuGlowne      = 1
menuDodatkowe   = 1
obszarBoczny    = 1
obszarDodatkowy = 1
logo            = 1
haslo           = 1

[personalizacja]
kolorTla        = 1
obrazTla        = 1
kolorTekstu     = 1
krojTekstu      = 1
rozmiarTekstu   = 1
szerokosc       = 1
koloryDodatkowe = 1

[koloryDodatkowe]
1_nazwa = 'Kolor odnośników'
1_CSS   = 'a { color: %kolor%; }'
2_nazwa = 'Kolor poziomych linii'
2_CSS   = 'hr { background: %kolor%; }'</pre>

<dl>

	<dt id="informacje"><code>[informacje]</code></dt>
	<dd>Nazważniejszym ustawieniem tej sekcji jest pozycja <code>nazwa</code>, która przechowuje nazwę motywu wyświetlaną w panelu administracyjnym. Ustawienie <code>krojGoogleFonts</code> określa, czy motyw korzysta z kroju tekstu z serwisu Google Fonts. Ustawienie <code>edytorWizualny</code> określa, czy autor przygotował arkusz CSS dla edytora wizualnego CKEditor &ndash; jeśli tak, należy go zamieścić w pliku <code>edytor.css</code>. Ustawienie <code>responsywnosc</code> określa, czy motyw jest responsywny (dopasowany do urządzeń mobilnych).<br />W tej sekcji można też umieścić pozycje <code>autor</code> i <code>www</code> przechowujące kolejno nazwisko lub pseudonim autora motywu oraz link do jego strony. Pojawią się one na stronie <a href="?id=wizytowka&b=podziekowania"><strong>Podziękowania</strong></a>.</dd>

	<dt><code>[mozliwosci]</code></dt>
	<dd>Ta sekcja pozwala na włączenie lub wyłączenie menu głównego, menu dodatkowego, obszaru bocznego, obszaru dodatkowego oraz logo i hasła (zobacz możliwości motywu kilka akapitów wyżej).</dd>

	<dt><code>[personalizacja]</code></dt>
	<dd>Ta sekcja pozwala na włączenie lub wyłączenie poszczególnych elementów personalizacji wyglądu motywu (kolor tła, obraz tła, kolor tekstu, krój tekstu, rozmiar tekstu, szerokość witryny) oraz kolorów dodatkowych (zobacz personalizację motywu kilka akapitów wyżej).</dd>

	<dt><code>[koloryDodatkowe]</code></dt>
	<dd>Tutaj należy umieścić nazwy oraz style CSS dwóch kolorów dodatkowych motywu, które użytkownik będzie mógł zmienić na stronie <a href="?id=motywyIPersonalizacja"><strong>Motywy i personalizacja</strong></a>. W stylach CSS w miejscu koloru należy użyć zmiennej <kbd>%kolor%</kbd> (zobacz przykład pliku WTU powyżej). Należy udostępnić dwa kolory dodatkowe (nie można tylko jednego). Aby kolory dodatkowe były dostępne, w sekcji <code>[personalizacja]</code> należy włączyć ustawienie <code>koloryDodatkowe</code>.</dd>

</dl>

<h3>Używanie funkcji PHP</h3>

<p>Funkcji PHP używamy w następujący sposób: <code>&lt;?php nazwaFunkcji( argument1, argument2 ) ?&gt;</code>. Tekst podawany w nawiasach to argumenty (rozdziela się je przecinkami, jeśli jest ich więcej). Jeśli funkcja nie przyjmuje argumentów lub nie chcemy ich podawać, używamy jej tak: <code>&lt;?php nazwaFunkcji() ?&gt;</code>.</p>

<p>Poniżej przykład przedstawiający fragment kodu witryny z tytułem pojedynczej strony oraz jej zawartością. Należy użyć funkcji <a href="#wtTytulStrony"><code>wtTytulStrony()</code></a> oraz <a href="#wtZawartosc"><code>wtZawartosc()</code></a>, które nie przyjmują argumentów.</p>

<pre>&lt;main class="glownaTresc"&gt;
	&lt;article&gt;
		&lt;header&gt;<a href="#wtTytulStrony">&lt;?php wtTytulStrony() ?&gt;</a>&lt;/header&gt;
		<a href="#wtZawartosc">&lt;?php wtZawartosc() ?&gt;</a>
	&lt;/article&gt;
&lt;/main&gt;</pre>

<p>Poniżej przykładowa stopka witryny wyświetlana funkcją <a href="#wtStopka"><code>wtStopka()</code></a>, która przyjmuje dwa opcjonalne argumenty (ciąg znaków będący separatorem oraz dodatkową informację od autora motywu).</p>

<pre>&lt;footer&gt;
	&lt;p&gt;<a href="#wtStopka">&lt;?php wtStopka( '&lt;span&gt;|&lt;/span&gt;', 'Autor motywu: Tomek G.' ) ?&gt;</a>&lt;/p&gt;
&lt;/footer&gt;</pre>

<p>Tworząc własne motywy, można wzorować się i korzystać z kodu motywów wbudowanych w WizyTówkę.</p>

<h3>Funkcje PHP wyświetlające zawartość</h3>

<dl>

	<dt id="wtHead"><code>wtHead()</code></dt>
	<dd>Służy do generowania zawartości znacznika <code>&lt;head&gt;</code>. Tworzy odnośniki do arkusza stylów CSS, generuje informacje dla wyszukiwarek internetowych i przeglądarki oraz lokalne style. Obowiązkowo należy umieścić ją wewnątrz znacznika <code>&lt;head&gt;</code>. Funkcja nie przyjmuje żadnych argumentów.</dd>

	<dt id="wtNaglowek"><code>wtNaglowek()</code></dt>
	<dd>Wyświetla nagłówek całej witryny &ndash; tytuł witryny otoczony znacznikiem <code>&lt;h1&gt;</code>, logo witryny (jeżeli takie ustawiono) wewnątrz tego znacznika oraz, w zależności od ustawień, hasło witryny wewnątrz znacznika <code>&lt;p&gt;</code>. Funkcja nie przyjmuje argumentów.</dd>

	<dt id="wtMenu"><code>wtMenu( $menu = 1, $identyfikatory = 0 )</code></dt>
	<dd>Wyświetla tytuł menu głównego lub menu dodatkowego w znaczniku <code>&lt;h2&gt;</code> oraz jego elementy otoczone znacznikami <code>&lt;li&gt;</code> wewnątrz znacznika <code>&lt;ul&gt;</code>. Przyjmuje dwa argumenty. Argument <code>$menu</code> może mieć wartość <code>1</code> (wyświetla pozycje menu głównego) lub <code>2</code> (wyświetla pozycje menu dodatkowego). Opcjonalny argument <code>$identyfikator</code> może mieć wartość <code>0</code> lub <code>1</code> (wtedy każdy element <code>&lt;li&gt;</code> otrzymuje atrybut <code>id</code> zawierający <a href="?id=dokumentacja&b=pytaniaIOdpowiedzi#identyfikatorStrony">identyfikator strony</a>, co pozwala na indywidualne ostylizowanie każdego elementu menu).</dd>

	<dt id="wtObszar"><code>wtObszar( $obszar = 1 )</code></dt>
	<dd>Wyświetla zawartość obszaru bocznego lub obszaru dodatkowego. Przyjmuje jeden argument <code>$obszar</code>, który może mieć wartość <code>1</code> (wyświetla zawartość obszaru bocznego) lub <code>2</code> (wyświetla zawartość obszaru dodatkowego).</dd>

	<dt id="wtStopka"><code>wtStopka( $informacjeOdMotywu = '' )</code></dt>
	<dd>Wyświetla elementy stopki witryny jako podpunkty <code>&lt;li&gt;</code> wewnątrz znacznika listy <code>&lt;ul&gt;</code>. Przyjmuje jeden opcjonalny argument <code>$informacjeOdMotywu</code> zawierający dodatkową informację od autora motywu, np. nazwisko i&nbsp;odnośnik do jego strony. Poszczególne informacje stopki są wyświetlane w&nbsp;następującej kolejności: nazwa autora witryny, informacje od motywu, dodatkowa treść stopki (edytowalna na stronie <a href="?id=naglowekIStopka"><strong>Nagłówek i stopka</strong></a>), odnośnik do panelu administracyjnego, odnośnik do witryny systemu WizyTówka, kod statystyk zewnętrznych.</dd>

	<dt id="wtTytulStrony"><code>wtTytulStrony()</code></dt>
	<dd>Wyświetla tytuł aktualnej strony oraz odnośnik do niej wewnątrz znacznika <code>&lt;h2&gt;</code>. Jeżeli autor witryny jest zalogowany, a funkcja odnośnika bezpośredniego edycji strony jest włączona, umieszczany jest też odnośnik do panelu administracyjnego oznaczony klasą <code>.wtEdycjaStrony</code>. Funkcja nie przyjmuje żadnych argumentów.</dd>

	<dt id="wtZawartosc"><code>wtZawartosc()</code></dt>
	<dd>Wyświetla główną zawartość aktualnej strony. Funkcja nie przyjmuje żadnych argumentów.</dd>

	<dt id="wtInfo"><code>wtInfo( $szukanaInformacja )</code></dt>
	<dd><strong>Zwraca</strong> szukaną informację określoną w argumencie <code>$szukanaInformacja</code>:
		<br />&mdash; <code>menuGlowne</code> &ndash; zwraca <code>1</code>, gdy menu główne jest włączone, inaczej <code>0</code>,
		<br />&mdash; <code>menuDodatkowe</code> &ndash; zwraca <code>1</code>, gdy menu dodatkowe jest włączone, inaczej <code>0</code>,
		<br />&mdash; <code>obszarBoczny</code> &ndash; zwraca <code>1</code>, gdy obszar boczny jest włączony, inaczej <code>0</code>,
		<br />&mdash; <code>obszarDodatkowy</code> &ndash; zwraca <code>1</code>, gdy obszar dodatkowy jest włączony, inaczej <code>0</code>,
		<br />&mdash; <code>stronaGlowna</code> &ndash; zwraca <code>1</code>, gdy aktualna strona jest stroną główną witryny, inaczej <code>0</code>,
		<br />&mdash; <code>typZawartosci</code> &ndash; zwraca identyfikator typu zawartości aktualnej strony,
		<br />&mdash; <code>tytulWitryny</code> &ndash; zwraca tytuł witryny umieszczany w nagłówku witryny,
		<br />&mdash; <code>hasloWitryny</code> &ndash; zwraca hasło witryny umieszczane w nagłówku witryny,
		<br />&mdash; <code>tytulStrony</code> &ndash; zwraca tytuł aktualnej strony,
		<br />&mdash; <code>czasGenerowania</code> &ndash; zwraca czas generowania skryptu PHP,
		<br />&mdash; <code>ostatniaAktualizacja</code> &ndash; zwraca sformatowaną datę ostatniej aktualizacji aktualnej strony.
	</dd>

</dl>

<h3>Wyświetlanie warunkowe kodu</h3>

<p>Niektóre elementu kodu witryny powinny być ładowane tylko w określonych sytacjach, w innych trzeba je ukryć. Na przykład jeśli użytkownik wyłączy menu główne, w kodzie witryny nie powinien znaleźć się znacznik okalający je. W tym celu należy użyć instrukcji warunkowej języka PHP <code>if (warunek) { ... }</code> oraz funkcji <a href="#wtInfo"><code>wtInfo()</code></a> z odpowiednim argumentem.</p>

<pre>&lt;div class="dwieKolumnyWitryny"&gt;
	<a href="#wtInfo">&lt;?php if ( wtInfo('menuGlowne') ) ?&gt;</a>
	&lt;nav class="kolumnaLewa"&gt;
		<a href="#wtMenu">&lt;?php wtMenu(1) ?&gt;</a>
	&lt;/nav&gt;
	<a href="#wtInfo">&lt;?php } ?&gt;</a>
	&lt;section class="kolumnaPrawa"&gt;
		&lt;!-- tutaj główna treść strony --&gt;
	&lt;/section&gt;
&lt;/div&gt;</pre>

<p>Tak samo należy postępować z menu głównym, menu dodatkowym, obszarem głównym i obszarem dodatkowym. Należy użyć odpowiedniego parametru funkcji <a href="#wtInfo"><code>wtInfo()</code></a>.</p>

<p>Można też załadować inny kod w zależności od typu zawartości strony, co demonstruje poniższy przykład.</p>

<pre>&lt;main&gt;
	<a href="#wtInfo">&lt;?php if ( wtInfo('typZawartosci') == 'galeriaZdjec' ) { ?&gt;</a>
	&lt;p&gt;To jest galeria zdjęć. Znajdą się tu fotografie.&lt;/p&gt;
	<a href="#wtInfo">&lt;?php } elseif ( wtInfo('typZawartosci') == 'miniblog' ) { ?&gt;</a>
	&lt;p&gt;To jest miniblog. Pojawią się tu krótkie wpisy.&lt;/p&gt;
	<a href="#wtInfo">&lt;?php } else { ?&gt;</a>
	&lt;p&gt;To jest jakakolwiek inna strona.&lt;/p&gt;
	<a href="#wtInfo">&lt;?php } ?&gt;</a>
&lt;/main&gt;</pre>

<p>Użyto tutaj bardziej rozbudowanej konstrukcji <code>if (warunek) { ... } elseif (inny warunek) { ... } else { ... }</code>.</p>

<h3>Uwagi dodatkowe</h3>

<ul>
	<li>Motywy powinny być tworzone zgodnie ze standardem HTML5 &ndash; powinny mieć określony odpowiedną deklarację typu dokumentu oraz używać znaczników semantycznych.</li>
	<li>Motyw musi zawierać funkcje <a href="#wtHead"><code>wtHead()</code></a> oraz <a href="#wtStopka"><code>wtStopka()</code></a>. Nieumieszczenie pierwszej funkcji spowoduje niepoprawne działanie witryny, zaś nieumieszczenie tej drugiej jest równoznaczne ze złamaniem <a href="?id=wizytowka&b=licencja">licencji systemu WizyTówka</a>.</li>
	<li>Jeżeli motyw używa kroju tekstu pobieranego z serwisu Google Fonts, nie należy umieszczać odwołania do serwisu bezpośrednio w kodzie HTML lub CSS motywu, lecz użyć odpowiedniego ustawienia w pliku konfiguracyjnym WTU (zobacz informacje na początku tego dokumentu). Bezpośrednie odwołanie do serwisu Google Font będzie niepotymalne, jeśli użytkownik dokona zmiany kroju tekstu na stronie <a href="?id=motywyIPersonalizacja"><strong>Motywy i personalizacja</strong></a> &ndash; załadowane zostaną wtedy dwa kroje jednocześnie.</li>
	<li>Odwołania do stylu CSS (<code>&lt;link rel="stylesheet"&gt;</code>) oraz informacji o responsywności witryny (<code>&lt;meta name="viewport"&gt;</code>) nie trzeba umieszczać w kodzie motywu, gdyż funkcja <a href="#wtHead"><code>wtHead()</code></a> robi to automatycznie.</li>
	<li>Niektóre typy zawartości stron (np. formularz kontaktowy) posiadają specyficzne elementy (takie jak etykieta czy przycisk), które można indywidualnie ostylizować, używając odpowiedniej klasy. Aby poznać jej nazwę, wystarczy w przeglądarce wyświetlić kod źrodłowy.</li>
</ul>
<?php
	include (SYSTEM.'/admin/stopka.php');
}

elseif ( ID2 == 'edycjaMotywowITypow' ) {
	include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Pomoc &mdash; edycja motywów i typów zawartości</h2>

<p>System zarządzania treścią WizyTówka posiada wbudowany Edytor plików pozwalający na modyfikację zawartości folderu <code><?php echo DANE ?></code>, umozliwiając edycję <a href="?id=dokumentacja&b=pytaniaIOdpowiedzi#motyw">motywów</a> i <a href="?id=dokumentacja&b=pytaniaIOdpowiedzi#typZawartosci">typów zawartości stron</a> oraz podgląd i edycję wysłanych plików i plików konfiguracyjnych WizyTówki.</p>

<p>Edytor plików dostępny jest pod adresem <a href="?id=edytorPlikow">admin.php?id=edytorPlikow</a>. Może też znajdować się w menu <strong>Narzędzia</strong>, jeżeli jest włączony.</p>

<h3>Lokalizacja motywów i typów zawartości</h3>

<p>Na całość WizyTówki składają się dwa najwiażniejsze foldery. Folder <code><?php echo SYSTEM ?></code> zawiera cały CMS, panel administracyjny oraz domyślnie wbudowane motywy i typy zawartości stron. Ten folder nie powinien być modyfikowany! Folder <code><?php echo DANE ?></code> przechowuje konfigurację witryny, utworzone strony i szkice stron oraz własne motywy i typy zawartości stron.</p>

<p>Motywy wbudowane w WizyTówkę znajdują się w folderze <code><?php echo SYSTEM ?>/motywy</code>. Dla motywów własnych (użytkownika) przeznaczony jest folder <code><?php echo DANE ?>/motywy</code>. Analogicznie jest z typami zawartości stron. Wbudowane typy zawartości znajdują się w folderze <code><?php echo SYSTEM ?>/typy</code>, a miejscem na własne (użytkownika) typy zawartości jest folder <code><?php echo DANE ?>/typy</code>.</p>

<p>Nie należy modyfikować folderów <code><?php echo SYSTEM ?>/motywy</code> oraz <code><?php echo SYSTEM ?>/typy</code>. Jeżeli w typach zawartości wbudowanych i własnych lub w motywach wbudowanych i własnych identyfikatory powtarzają się, własne (użytkownika) motywy i typy zawartości mają priorytet!</p>

<h3>Używanie Edytora plików</h3>

<p>Jeżeli Edytor plików jest włączony, widoczne są odnośniki umożliwiające edycję motywów i typów zawartości. Aby dokonać modyfikacji motywów lub typów zawartości, gdy odnośniki te są niewidoczne, należy Edytor plików włączyć.</p>

<p>Aby włączyć Edytor plików, należy przy pomocy <a href="?id=dokumentacja&b=konfiguracjaWTK"><strong>Edytora WTK</strong></a> zmienić wartość ustawienia <a href="?id=dokumentacja&b=konfiguracjaWTK#edytorPlikow"><code>edytorPlikow</code></a> na <code>1</code> (jeśli chcemy edytorać i typy zawartości, i motywy) albo na <code>2</code> (jeżeli chcemy edytować tylko motywy) lub <code>3</code> (jeśli chcemy edytować tylko typy zawartości stron).</p>

<p>Gdy Edytor plików jest włączony, odpowiednia opcja widnieje w menu <strong>Narzędzia</strong>. Dodatkowo na stronie <a href="?id=utworzStrone"><strong>Utwórz stronę</strong></a> (gdzie widoczna jest lista typów zawartości stron) oraz na stronie <a href="?id=motywyIPersonalizacja"><strong>Motywy i personalizacja</strong></a> (gdzie znajduje się lista motywów) widoczne są odnośniki <strong>Edytuj</strong>.</p>

<p>Jeżeli motyw lub typ zawartości jest własny (użytkownika), po kliknięciu w odnośnik <strong>Edytuj</strong> wyświetlona zostanie zawartość folderu danego motywu lub typu zawartości. Jeśli zaś jest wbudowany w system, pojawi się kreator umożliwiający skopiowanie wbudowanego motywu lub typu zawartości do folderu <code><?php echo DANE ?></code>.</p>

<p>Szczegółowe informacje nt. tworzenia motytów dla WizyTówki w sekcji <a href="?id=dokumentacja&b=tworzenieMotywow">&bdquo;Tworzenie motywów&rdquo;</a>.</p>

<h3>Ograniczenia Edytora plików</h3>

<p>Edytor plików pozwala wyłącznie na modyfikację folderu <code><?php echo DANE ?></code>, dlatego edycja typu zawartości lub motywu musi być poprzedzona skopiowaniem go z folderu <code><?php echo SYSTEM ?></code>. Jest to działanie celowe. Założeniem struktury WizyTówki jest pełne oddzielenie plików samego CMS-a od danych dotyczących witryny. Ułatwia do aktualizację systemu lub wykonanie kopii zapasowej.</p>

<p>Domyślnie w Edytorze plików widoczne są jedynie foldery <code><?php echo DANE ?>/typy</code> oraz <code><?php echo DANE ?>/motywy</code>. Inne foldery, przechowujące utworzone strony i szkice stron, konfigurację witryny oraz wysłane pliki, są ukryte. Nie oznacza to, że nie można ich edytować przez Edytor plików. Wystarczy wpisać ich ścieżkę w pasku adresu przeglądarki. Domyślnie Edytor plików pozwala tylko na edycję plików z rozszerzeniami TXT, CSS, HTML, PHP, JS oraz WTU i WTK.<br />Aby wyłączyć te ograniczenia, należy zmienić wartość ustawienia <a href="?id=dokumentacja&b=konfiguracjaWTK#edytorPlikowOgraniczenia"><code>edytorPlikowOgraniczenia</code></a>.</p>

<p>Nawet jeśli Edytor plików jest wyłączony (wartość ustawienia <a href="?id=dokumentacja&b=konfiguracjaWTK#edytorPlikow"><code>edytorPlikow</code></a> to <code>0</code>), można uzyskać do niego dostęp poprzez bezpośrednie wpisanie adresu panelu administracyjnego. Dla bezpieczeństwa można zablokować Edytor plików oraz Edytor WTK i przywracanie kopii zapasowej. W tym celu należy włączyć <a href="?id=dokumentacja&b=konfiguracjaWTK#wysokieZabezpieczenie">tryb wysokiego zabezpieczenia</a>.</p>
<?php
	include (SYSTEM.'/admin/stopka.php');
}

elseif ( ID2 == 'semantykaWitryn' ) {
	include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Pomoc &mdash; semantyka witryn internetowych</h2>

<p>Witryny internetowe to najczęściej dokumenty elektroniczne, a ich głownym celem jest przekazywanie treści.</p>

<h3>Semantyka w Internecie</h3>

<p>Samo słowo &bdquo;semantyka&rdquo; oznacza naukę zajmującą się językiem oraz znaczeniem słów i wyrażeń językowych. W kontekście Internetu semantyka wiąże się z&nbsp;odpowiednim oznaczaniem poszczególnych elementów treści stron internetowych (np. podtytułów, linków, akapitów tekstu, sekcji dokumentu). Wbrew pozorom semantyka witryny internetowej jest bardzo ważna.</p>

<h3>Warstwa merytoryczna i prezentacyjna</h3>

<p>Treść w witrynach jest oznaczana przy użyciu języka znaczników HTML (Hypertext Markup Language). Język HTML składa się ze znaczników określających elementy witryny takie jak główna treść dokumentu, sekcje dokumentu, pojedyncze akapity, nagłówki (podtytuły) różnych poziomów, listy wypunktowane i numero&shy;wane, odnośniki do innych witryn, delikatne oraz mocne wyróżnienie tekstu czy tekst cytowany itd.</p>

<p>Warstwę prezentacyjną witryny internetowej, czyli jej wygląd, określa się w odseparowanym od samej zawartości strony pliku nazywanym arkuszem stylów CSS (Cascading Style Sheets). Definiuje on wygląd poszczególnych znaczników HTML, czyli pojedyncznych elementów zawartości (np. określa wielkość i&nbsp;kolorystykę podtytułów dokumentu lub kolor linków).</p>

<h3>Znaczenie semantyki dla użytkownika</h3>

<p>Przeciętny internauta, przeglądając witryny internetowe, zapoznaje się z odbieranym przez jego oczy obrazem. Powiększony i ew. wyróżniony kolorem tekst interpretuje jako nagłówki dokumentu (podtytuły), fragmenty tekstu rozdzielone odstępem rozpoznaje jako akapity, linie rozpoczynane numerami (1., 2., 3. itd.) jako listy numerowane, a podkreślony tekst wyróżniony kolorem, często niebieskim, jako linki.</p>

<p>Semantyka znaczników HTML nie jest więc ważna dla zwykłego użytkownika Internetu, ma jednak ogromne znaczenie dla komputerów i automatów, które pomijają informacje o wyglądzie strony (arkusz stylów CSS), interpretując wyłącznie znaczniki HTML i przypisując poprzez nie tekstowi odpowiednie znaczenie wynikające z tych znaczników.</p>

<p>Semantyka witryny internetowej jest więc ważna dla wyszukiwarkek internetowych (jak Google), których roboty (automaty) przeszukują strony internetowe, analizując ich treść poprzez interpretację znaczników semantycznych. Semantyka ma też duże znaczenie dla osób niepełnosprawnych, które, poruszając się po Internecie, często korzystają z technologii wspomagających AT (Assistive Technology) takich jak np. czytniki ekranowe, które &bdquo;czytają&rdquo; na głos treść strony internetowej, również analizując wyłacznie znaczniki semantyczne i pomijając informacje o wyglądzie strony.</p>

<h3>Semantyka witryny w praktyce</h3>

<p>Aby nasza strona internetowa była semantyczna, przy uzupełnianiu jej treści musimy zadbać o to, aby używane znaczniki odzwierciedlały faktyczne znaczenie tekstu. Uzupełniając jej zawartość, musimy więc skupić się na znaczeniu wprowadzanego tekstu, a nie jego wyglądzie. To znaczenie musi determinować wygląd, nie zaś odwrotnie.</p>

<p>Najprostszym przykładem są wyróżnienia, jakich możemy dokonać <?php echo (odczytKonf('sposobEdycjiTekstu')=='jezykMarkdown') ? 'poprzez język Markdown' : 'poprzez edytor wizualny' ?>, czyli pogrubienie i pochylenie tekstu. Niesemantycznym jest użycie pochylenia jako ozdobnika czy upiększacza strony internetowej. Równie nieprawidłowe jest pogrubianie całego tekstu na stronie w celu zwiększenia jej czytelności. Pochylenia należy używać do delikatnego wyróżnia ważniejszego tekstu, natomiast pogrubienia jako silnego wyróżnienia znacznie ważniejszego tekstu.</p>

<p>Innym przykładem są podtytuły tekstu (w HTML nazywane nagłówkami). Wszystkich nagłówków jest sześć, pierwszy z nich to tytuł witryny, a drugi to tytuł danej strony w witrynie. W WizyTówce nagłówków od trzeciego do <?php echo (odczytKonf('sposobEdycjiTekstu')=='edytorWizualny') ? 'piątego' : 'szóstego' ?> może używać użytkownik. Oznaczenie fragmentu strony jako nagłówek powoduje zwiększenie tekstu. Nieprawidłowym jest jednak używanie nagłówków do powiększania tekstu. Zostały one stworzone do określania hierarchii zawartości dokumentu, jakim jest cała witryna internetowa. Tylko do tego celu można ich używać.</p>

<h3>Semantyka kodu HTML dla zaawansowanych</h3>

<p>Początkujący webmasterzy (początkujący twórcy stron internetowych) nie zwracają uwagi na semantykę kodu HTML, a jedynie na uzyskanie pożądanego efektu końcowego. Używają do tego celu znaczników HTML lub ich atrybutów, które nie niosą ze sobą żadnego znaczenia, nie sa semantyczne, a jedynie określają wygląd danego elementu. Owe znaczniki powstały dawno temu, gdy CSS jeszcze nie istniał, gdy przeglądarki nie potrafiły go interpretować i trzeba było uzyskiwać efekt czymkolwiek, pomijając semantykę kodu. Do dziś przeglądarki internetowe rozumieją te stare znaczniki, ale tylko po to, aby stworzone wiele lat temu witryny działały również dziś. Nie należy obecnie używać tych znaczników.</p>

<p>Przykładowym niesemantycznym znacznikiem jest znacznik <code>&lt;center&gt;</code> służący do wyśrodkowania tekstu. Obecnie zamiast niego należy używać stylów CSS i właściwości <code>text-align: center</code> lub <code>margin: auto</code> w&nbsp;zależności od sytuacji. Innym przykładem jest znacznik <code>&lt;font&gt;</code> określający krój tekstu. Dziś powinniśmy użyć stylów CSS i właściwości <code>font-family: nazwaKroju</code>.</p>

<p>Znajomość języka HTML bez znajomości arkuszów stylów CSS jest dzisiaj bezużyteczna, gdyż dzisiejszy Internet kładzie duży nacisk na semantykę kodu źródłowego strony, dlatego warto swoją wiedzę uzupełniać i&nbsp;dbać o dostępność swojej witryny dla wyszukiwarek i niepełnosprawnych.</p>
<?php
	include (SYSTEM.'/admin/stopka.php');
}

elseif ( ID2 == 'jezykMarkdown' ) {
	include (SYSTEM.'/admin/naglowek.php');
?>
<style scoped>
	table { text-align: center; }
	th.funkcja { width: 25%; }
	span.br { background: silver; white-space: pre; font-family: monospace; }
	td.podglad { font-family: sans-serif; padding: 7px 0; }
	td.podglad * { color: inherit; margin: 0; }
	td.podglad a { color: <?php echo (odczytKonf('kontrastowyPanelAdmin')) ? 'aqua' : 'blue' ?>; text-decoration: underline; opacity: 1 !important; }
	td.podglad h3 { font-size: 1.5em; }
	td.podglad h4 { font-size: 1.3em; }
	td.podglad h5 { font-size: 1.1em; }
	td.podglad h6 { font-size: 1em; }
	td.podglad hr { border: 0; height: 1px; background: currentColor; margin: 0 2em; opacity: 0.8; }
</style>

<h2>Pomoc &mdash; składnia języka Markdown</h2>

<p>Język Markdown umożliwia wygodne redagowanie tekstu witryny przy użyciu intuicyjnej składni, której najważniejsze elementy zostały przedstawione w poniższej tabeli. Korzystając z języka Markdown, można używać znaczników HTML.</p>

<table>
	<tr> <th class="funkcja">Funkcja</th> <th>Wpisywany kod</th> <th>Otrzymywany tekst</th> </tr>
	<tr> <td>Mocne wyróżnienie</td> <td>To jest **przykładowy** akapit.</td> <td class="podglad">To jest <strong>przykładowy</strong> akapit.</td> </tr>
	<tr> <td>Delikatne wyróżnienie</td> <td>To jest *przykładowy* akapit.</td> <td class="podglad">To jest <em>przykładowy</em> akapit.</td> </tr>
	<tr> <td>Odnośnik</td> <td>To jest przykładowy<br />[odnośnik](http://adres.pl).</td> <td class="podglad">To jest przykładowy <a href="#">odnośnik</a>.</td> </tr>
	<tr> <td>Obrazek</td> <td><span title="Tu znajduje się wykrzyknik.">!</span>[Emotikona](usmieszek.png)</td> <td class="podglad"><img src="data:image/gif;base64,R0lGODlhDwAPAPMAAP/qAEVFRQAAAP/OAP/JAP+0AP6dAP/+k//9E///////xzMzM///6//lAAAAAAAAACH5BAEAAA4ALAAAAAAPAA8AAARb0EkZap3YVabOGRcWcAgCnIMRTEEnCCfwpqt2mHEOagoOnz+CKnADxoKFyiHHBBCSAdOiCVg8KwPZa7sVrgJZQWI8FhB2msGgwTXTWGqCXP4WBQr4wjDDstQmEQA7"/></td> </tr>
	<tr> <td>Nagłówek trzeci</td> <td>### Przykładowy nagłówek</td> <td class="podglad"><h3>Przykładowy nagłówek</h3></td> </tr>
	<tr> <td>Nagłówek czwarty</td> <td>#### Przykładowy nagłówek</td> <td class="podglad"><h4>Przykładowy nagłówek</h4></td> </tr>
	<tr> <td>Nagłówek piąty</td> <td>##### Przykładowy nagłówek</td> <td class="podglad"><h5>Przykładowy nagłówek</h5></td> </tr>
	<tr> <td>Nagłówek szósty</td> <td>###### Przykładowy nagłówek</td> <td class="podglad"><h6>Przykładowy nagłówek</h6></td> </tr>
	<tr> <td>Przełamanie wiersza</td> <td>To jest bardzo<span class="br" title="Tu znajdują się dwie spacje.">  </span><br />długi akapit.</td> <td class="podglad">To jest bardzo<br />długi akapit.</td> </tr>
	<tr> <td>Pozioma linia</td> <td><span title="Tu znajduje się dużo dywizów (minusów) obok siebie.">----------------------------</span></td> <td class="podglad"><hr></td> </tr>
</table>
<?php
	include (SYSTEM.'/admin/stopka.php');
}

else
	przekierowanie();