<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( odczytKonf('statystyki') ) {
	// wyczyszczenie licznika dnia dzisiejszego po jego zakończeniu
	$odczytStatystyk = odczytPlikuWTK('statystyki.wtk');
	if ( time() > $odczytStatystyk['dzisiaj']['waznoscDzisiaj'] ) {
		$odczytStatystyk['dzisiaj']['odwiedzajacych'] = 0;
		$odczytStatystyk['dzisiaj']['waznoscDzisiaj'] = mktime( 0, 0, 0, date('m'), date('d')+1, date('Y') );
		zapisPlikuWTK( $odczytStatystyk, 'statystyki.wtk' );
	}
}

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( !odczytKonf('statystykiZewnetrzneWylacz') ) {
		$odczytElementow = odczytPlikuWTK('elementy.wtk');
		$odczytElementow['statystykiZewnetrzne'] = $_POST['statystykiZewnetrzneKod'];
		zapisPlikuWTK( $odczytElementow, 'elementy.wtk' );
	}

	if ( isset($_POST['statystykiWyczysc']) and odczytKonf('statystyki') ) {
		$swiezoWypraneStatystyki = array(
			'suma' => 0,
			'dzisiaj' => array(
				'odwiedzajacych' => 0,
				'dataOstatniego' => time(),
				'waznoscDzisiaj' => mktime( 0, 0, 0, date('m'), date('d')+1, date('Y') )
			),
			'archiwum' => array(
				date('Y') => array(
					date('n') => 0
				)
			)
		);
		zapisPlikuWTK( $swiezoWypraneStatystyki, 'statystyki.wtk' );
		komunikat('dob.Statystyki zostały wyczyszczone.');
	}

	if ( !isset($_POST['statystyki']) and odczytKonf('statystyki') ) {
		$odczytStatystyk = odczytPlikuWTK('statystyki.wtk');
		$odczytStatystyk['dzisiaj']['odwiedzajacych'] = 0;
		zapisPlikuWTK( $odczytStatystyk, 'statystyki.wtk' );
	}

	unset($_POST['statystykiWyczysc']);
	unset($_POST['statystykiZewnetrzneKod']);
	zapisKonfPOST();

	if ( komunikat() == null )
		komunikat(1);

}

if ( defined('ID2') and ID2 == 'archiwum' )
	$lecimyZTymSentymentem = true;

$odczytStatystyk = odczytPlikuWTK('statystyki.wtk');
$odczytElementow = odczytPlikuWTK('elementy.wtk');

$listaStatystykZewnetrznych = array( 'head' => 'Dołącz do znacznika &lt;HEAD&gt;', 'stopka' => 'Dołącz do stopki witryny', 'stopkaSeparator' => 'Dołącz do stopki witryny (po separatorze)', 'nieDolaczaj' => 'Nie dołączaj kodu statystyk zewnętrznych' );

include (SYSTEM.'/admin/naglowek.php');
?>
<style scoped>
	td span:not(#czyszczenieStatystyk) { float: right; }
	#czyszczenieStatystyk { display: none; }
</style>

<h2>Statystyki</h2>

<form method="post">

<h3>Statystyki odwiedzin</h3>

<table>
	<tr> <td>Liczba odwiedzających dzisiaj:</td> <td><?php echo $odczytStatystyk['dzisiaj']['odwiedzajacych'] ?> <span>(ostatnia wizyta: <?php echo pokazDate($odczytStatystyk['dzisiaj']['dataOstatniego']) ?>)</span></td> </tr>
	<tr> <td>Liczba odwiedzających w sumie:</td> <td><?php echo $odczytStatystyk['suma'] ?> <?php if ( !isset($lecimyZTymSentymentem) ) { ?><span>(<a href="?id=statystyki&b=archiwum">zobacz archiwum</a>)</span><?php } ?></td> </tr>
	<?php if ( !isset($lecimyZTymSentymentem) ) { ?>
	<tr>
		<td><input type="checkbox" name="statystyki" value="1" <?php zaznaczCheckbox( odczytKonf('statystyki') ) ?> id="op11" /><label for="op11">Włącz uproszczone statystyki odwiedzin</label></td>
		<td onclick="document.getElementById('czyszczenieStatystyk').style.display = 'inline'"><span id="czyszczenieStatystyk"><input type="checkbox" name="statystykiWyczysc" value="1" <?php wylaczElement( odczytKonf('statystyki'), false ) ?> id="op12" /><label for="op12">Wyczyść uproszczone statystyki odwiedzin</label></span></td>
	</tr>
	<?php } ?>
</table>

<?php
if ( isset($lecimyZTymSentymentem) ) {
	$odmienioneNazwyMiesiecy = array( '1' => 'styczniu', '2' => 'lutym', '3' => 'marcu', '4' => 'kwietniu', '5' => 'maju', '6' => 'czerwcu', '7' => 'lipcu', '8' => 'sierpniu', '9' => 'wrześniu', '10' => 'październiku', '11' => 'listopadzie', '12' => 'grudniu' );
?>

<h3>Archiwum statystyk odwiedzin</h3>

<table>
<?php
	foreach ( array_reverse($odczytStatystyk['archiwum'],true) as $rok => $tablicaRoku ) {
		foreach ( array_reverse($tablicaRoku,true) as $miesiac => $liczbaOdwiedzajacych )
			echo '<tr> <td>Liczba odwiedzających w ', $odmienioneNazwyMiesiecy[$miesiac], ' ', $rok, ' roku:</td> <td>', $liczbaOdwiedzajacych, '</td> </tr>';
	}
?>
</table>

<?php
}

elseif ( !odczytKonf('statystykiZewnetrzneWylacz') ) {
?>

<h3>Statystyki zewnętrzne</h3>

<table>
	<tr> <td>Kod statystyk zewnętrznych:</td> <td><textarea name="statystykiZewnetrzneKod"><?php echo $odczytElementow['statystykiZewnetrzne'] ?></textarea></td> </tr>
	<tr> <td>Miejsce dołączenia kodu:</td> <td><select name="statystykiZewnetrzne"><?php generujListeWyboru( $listaStatystykZewnetrznych, odczytKonf('statystykiZewnetrzne') ) ?></select></td> </tr>
	<tr> <td colspan="2"><input type="checkbox" name="statystykiZewnetrzneTylkoNiezalogowany" value="1" <?php zaznaczCheckbox( odczytKonf('statystykiZewnetrzneTylkoNiezalogowany') ) ?> id="op21" /><label for="op21">Dołaczaj kod statystyk zewnętrznych tylko, gdy nie jestem zalogowany</label></td> </tr>
</table>

<p class="informacja">Jeśli korzystasz z narzędzia analizującego ruch w witrynie takiego jak Google Analytics lub Stat4u, umieść w powyższym polu tekstowym jego kod śledzący.</p>

<?php
}
?>

<?php if ( !isset($lecimyZTymSentymentem) ) { ?>
<input type="hidden" name="checkboksy" value="statystyki,statystykiZewnetrzneTylkoNiezalogowany" />
<p class="przyciskWysylania"><input type="submit" value="Zapisz ustawienia" /></p>
<?php } ?>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');