<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	// zapobieżenie zgubienia ustawienia checkboksa 'edytorWizualnyStylMotywu'
	if ( odczytKonf('sposobEdycjiTekstu') == 'edytorWizualny' and
		(!isset($_POST['edytorWizualny']) or !odczytKonf('edytorWizualny')) )
		$_POST['edytorWizualnyStylMotywu'] = odczytKonf('edytorWizualnyStylMotywu');

	if ( !empty($_POST['zmianaHasla']['obecne'])
		and !empty($_POST['zmianaHasla']['nowe1']) and !empty($_POST['zmianaHasla']['nowe2']) )
		$zmianaHasla = $_POST['zmianaHasla'];

	unset ($_POST['zmianaHasla']);
    zapisKonfPOST();

	komunikat(1);

	if ( isset($zmianaHasla) ) {

		include_once( SYSTEM . '/funkcje/password.php' );

		if ( !password_verify( $zmianaHasla['obecne'], odczytKonf('administratorHaslo') ) )
			komunikat('zle.Podane obecne hasło jest nieprawidłowe. Hasło nie zostało zmienione.');

		elseif ( $zmianaHasla['nowe1'] != $zmianaHasla['nowe2'] )
			komunikat('zle.Podane hasła nie są identyczne. Hasło nie zostało zmienione.');

		else {
			zapisKonf( array('administratorHaslo' => password_hash( $zmianaHasla['nowe1'], PASSWORD_BCRYPT )) );
			komunikat('dob.Hasło zostało zmienione.');
		}

		// przy resetowaniu hasła
		if ( isset($_GET['zmianaHasla']) )
			unset($_GET['zmianaHasla']);

	}

}

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Ustawienia systemu</h2>

<?php if ( isset($_GET['zmianaHasla']) ) { // przy resetowaniu hasła ?>
<style scoped>
	h3.zmianaHasla { color: red; } .zmianaHasla tr { font-weight: bold; }
</style>
<?php } ?>

<form method="post">

<?php if ( odczytKonf('sposobEdycjiTekstu') == 'edytorWizualny' ) { ?>

<h3>Sposób edycji tekstu</h3>

<table>
	<tr>
		<td><input type="checkbox" name="edytorWizualny" value="1" <?php zaznaczCheckbox(odczytKonf('edytorWizualny')) ?> id="op21" /><label for="op21">Użyj edytora wizualnego podczas edycji tekstu</label></td>
		<td><input type="checkbox" name="edytorWizualnyStylMotywu" value="1" <?php zaznaczCheckbox(odczytKonf('edytorWizualnyStylMotywu')) ?> <?php wylaczElement(odczytKonf('edytorWizualny'),'0') ?> id="op22" /><label for="op22">Użyj arkusza stylów aktualnego motywu</label></td>
	</tr>
</table>

<?php } elseif ( odczytKonf('sposobEdycjiTekstu') == 'jezykMarkdown' ) { ?>

<h3>Sposób edycji tekstu</h3>

<table>
	<tr>
		<td><input type="checkbox" name="jezykMarkdown" value="1" <?php zaznaczCheckbox(odczytKonf('jezykMarkdown')) ?> id="op23" /><label for="op23">Użyj języka Markdown do formatowania tekstu</label></td>
	</tr>
</table>

<?php } ?>

<h3>Panel administracyjny</h3>

<table>
	<tr>
		<td><input type="checkbox" name="resetowanieHasla" value="1" <?php zaznaczCheckbox(odczytKonf('resetowanieHasla')) ?> id="op11" /><label for="op11">Możliwość resetowania hasła przy logowaniu</label></td>
		<td><input type="checkbox" name="odnosnikEdycjaStrony" value="1" <?php zaznaczCheckbox(odczytKonf('odnosnikEdycjaStrony')) ?> id="op12" /><label for="op12">Odnośnik bezpośredni do edycji strony</label></td>
	</tr>
	<tr>
		<td><input type="checkbox" name="szkiceDomyslnie" value="1" <?php zaznaczCheckbox(odczytKonf('szkiceDomyslnie')) ?> id="op13" /><label for="op13">Nowe strony tworzone zawsze jako szkice</label></td>
		<td><input type="checkbox" name="kontrastowyPanelAdmin" value="1" <?php zaznaczCheckbox(odczytKonf('kontrastowyPanelAdmin')) ?> id="op14" /><label for="op14">Kontrastowy panel administracyjny</label></td>
	</tr>
	<tr>
		<td><input type="checkbox" name="panelAdminMenuTab" value="1" <?php zaznaczCheckbox(odczytKonf('panelAdminMenuTab')) ?> id="op15" /><label for="op15">Dostęp do menu głównego z klawiatury (Tab)</label></td>
		<td></td>
	</tr>
</table>

<h3 class="zmianaHasla">Zmiana hasła</h3>

<table class="zmianaHasla">
	<tr> <td>Obecne hasło:</td> <td><input type="password" name="zmianaHasla[obecne]" /></td> </tr>
	<tr> <td>Nowe hasło:</td> <td><input type="password" name="zmianaHasla[nowe1]" /></td> </tr>
	<tr> <td>Ponownie nowe hasło:</td> <td><input type="password" name="zmianaHasla[nowe2]" /></td> </tr>
</table>

<p class="informacja">Jeżeli nie chcesz zmieniać hasła, pozostaw te pola puste.</p>

<input type="hidden" name="checkboksy" value="resetowanieHasla,kontrastowyPanelAdmin,szkiceDomyslnie,odnosnikEdycjaStrony,edytorWizualny,edytorWizualnyStylMotywu,jezykMarkdown,panelAdminMenuTab" />
<p class="przyciskWysylania"><input type="submit" value="Zapisz ustawienia" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');