<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	// weryfikacja tytułu witryny
	if ( empty($_POST['tytul']) )
		$_POST['tytul'] = odczytKonf('tytul');

	// zapobieżenie zgubienia ustawienia checkboksa 'typografiaPolpauza'
	if ( !isset($_POST['typografiaInne']) or !odczytKonf('typografiaInne') )
		$_POST['typografiaPolpauza'] = odczytKonf('typografiaPolpauza');

	// aktualizacja i weryfikacja adresu witryny

	if ( $_POST['adres'] == 'http://' )
		$_POST['adres'] = 'http://' . $_SERVER['SERVER_NAME'] . substr( $_SERVER['SCRIPT_NAME'], 0, strlen($_SERVER['SCRIPT_NAME'])-strlen(basename($_SERVER['SCRIPT_NAME']))-1 );

	elseif ( !sprawdzAdres($_POST['adres']) ) {
		$_POST['adres'] = odczytKonf('adres');
		komunikat('zle.Podany adres witryny jest niepoprawny.');
	}

	elseif ( substr($_POST['adres'],-1) == '/' )
		$_POST['adres'] = substr( $_POST['adres'], 0, -1 );

	// przyjazne adresy i tworzenie pliku .htaccess

	if ( !odczytKonf('ochronaHtaccess') ) {

		if ( (isset($_POST['przyjazneAdresy']) and !odczytKonf('przyjazneAdresy'))
		   or ($_POST['adres'] != odczytKonf('adres') and odczytKonf('przyjazneAdresy')) ) {

			if ( !is_writable('.') or strpos($_SERVER['SERVER_SOFTWARE'],'Apache') === false ) {
				komunikat('zle.Serwer nie umożliwa utworzenia pliku <strong>.htaccess</strong>. Przyjazne adresy zostały wyłączone.');
				$_POST['przyjazneAdresy'] = 0;
			}

			else {

				$podfolder = null;
				$czesciAdresu = explode( '/', substr( $_POST['adres'], 7 ) );
				if ( count($czesciAdresu) > 1 )
					$podfolder = $czesciAdresu[ count($czesciAdresu)-1 ];

				file_put_contents ( '.htaccess', 'RewriteEngine on' . "\n" . 'RewriteBase /' . $podfolder . "\n\n" . 'RewriteCond %{REQUEST_FILENAME} !-f' . "\n" . 'RewriteCond %{REQUEST_FILENAME} !-d' . "\n" . 'RewriteRule /?([A-Za-z0-9-._]+)/?$ index.php?id=$1 [QSA,L]' );

			}

		}

		elseif ( !isset($_POST['przyjazneAdresy']) and odczytKonf('przyjazneAdresy') and file_exists('.htaccess') )
			unlink('.htaccess');

	}

    zapisKonfPOST();

	if ( !komunikat() )
		komunikat(1);

}

$tablicaIstniejacychStron = listaStron();
if ( !empty($tablicaIstniejacychStron) ) {
	foreach ( $tablicaIstniejacychStron as $identyfikatorStrony ) {
		$odczytStrony = odczytStrony($identyfikatorStrony);
		$tablicaIstniejacychStronZTytulami[ $identyfikatorStrony ] = $odczytStrony['tytul'];
	}
}

$listaFormatowDaty = array( '%e.%m.%Y %H:%M:%S' => pokazDate(time(),'%e.%m.%Y %H:%M:%S'), '%Y-%m-%d %H:%M:%S' => pokazDate(time(),'%Y-%m-%d %H:%M:%S'), '%e %B %Y, %H:%M' => pokazDate(time(),'%e %B %Y, %H:%M'), '%A, %e %B %Y, %H:%M' => pokazDate(time(),'%A, %e %B %Y, %H:%M') );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Ustawienia witryny</h2>

<form method="post">

<h3>Ustawienia główne</h3>

<table>
	<tr> <td>Tytuł witryny:</td> <td><input type="text" name="tytul" value="<?php echo odczytKonf('tytul') ?>" required /></td> </tr>
	<tr> <td>Układ tytułu witryny w przeglądarce:</td> <td><input type="text" name="ukladTytulu" value="<?php echo odczytKonf('ukladTytulu') ?>" required /></td> </tr>
	<tr> <td>Adres witryny:</td> <td><input type="url" name="adres" value="<?php echo odczytKonf('adres') ?>" required /></td> </tr>
	<tr> <td>Autor witryny:</td> <td><input type="text" name="autor" value="<?php echo odczytKonf('autor') ?>" /></td> </tr>
	<tr> <td>Strona główna witryny:</td> <td><select name="stronaGlowna"><?php generujListeWyboru( $tablicaIstniejacychStronZTytulami, odczytKonf('stronaGlowna') ) ?></select></td> </tr>
</table>

<p class="informacja">Zmienna <kbd>%strona%</kbd> zawiera tytuł aktualnej strony (dotyczy tylko układu tytułu w przeglądarce).</p>

<h3>Typografia</h3>

<table>
	<tr>
		<td><input type="checkbox" name="typografiaCudzyslowy" value="1" <?php zaznaczCheckbox(odczytKonf('typografiaCudzyslowy')) ?> id="op11" /><label for="op11">Automatyczna poprawa cudzysłowów</label></td>
		<td><input type="checkbox" name="typografiaInne" value="1" <?php zaznaczCheckbox(odczytKonf('typografiaInne')) ?> id="op12" /><label for="op12">Automatyczna poprawa innych znaków</label></td>
	</tr>
	<tr>
		<td><input type="checkbox" name="typografiaSpojniki" value="1" <?php zaznaczCheckbox(odczytKonf('typografiaSpojniki')) ?> id="op13" /><label for="op13">Przenoszenie spójników z końca wiersza</label></td>
		<td><input type="checkbox" name="typografiaPolpauza" value="1" <?php zaznaczCheckbox(odczytKonf('typografiaPolpauza')) ?> <?php wylaczElement(odczytKonf('typografiaInne'),'0') ?> id="op14" /><label for="op14">Jako myślnik półpauza zamiast pauzy</label></td>
	</tr>
</table>

<?php if ( odczytKonf('przerwaTechniczna') ) { ?>
<h3>Tryb przerwy technicznej</h3>

<table>
	<tr> <td>Komunikat strony:</td> <td><input type="text" name="przerwaTechnicznaTekst" value="<?php echo odczytKonf('przerwaTechnicznaTekst') ?>" /></td> </tr>
	<tr> <td>Tytuł strony w przeglądarce:</td> <td><input type="text" required name="przerwaTechnicznaTitle" value="<?php echo odczytKonf('przerwaTechnicznaTitle') ?>" /></td> </tr>
</table>
<?php } ?>

<h3>Pozostałe ustawienia</h3>

<table>
	<tr> <td>Adres e-mail:</td> <td><input type="email" name="email" value="<?php echo odczytKonf('email') ?>" required /></td> </tr>
	<tr> <td>Format daty:</td> <td><select <?php wylaczElement( isset($listaFormatowDaty[odczytKonf('formatDaty')]), false ) ?> name="formatDaty"><?php generujListeWyboru( $listaFormatowDaty, odczytKonf('formatDaty') ) ?></select></td> </tr>
	<tr>
		<td><input type="checkbox" name="przyjazneAdresy" value="1" <?php zaznaczCheckbox(odczytKonf('przyjazneAdresy')) ?> <?php if (strpos($_SERVER['SERVER_SOFTWARE'],'Apache') === false) echo 'disabled' ?> id="op21" /><label for="op21">Przyjazne adresy</label></td>
		<td><input type="checkbox" name="przerwaTechniczna" value="1" <?php zaznaczCheckbox(odczytKonf('przerwaTechniczna')) ?> id="op22" /><label for="op22">Przerwa techniczna</label></td>
	</tr>
</table>

<p class="informacja">Podczas przerwy technicznej tylko autor witryny ma do niej dostęp.</p>

<input type="hidden" name="checkboksy" value="typografiaCudzyslowy,typografiaSpojniki,typografiaInne,typografiaPolpauza,przyjazneAdresy,przerwaTechniczna" />
<p class="przyciskWysylania"><input type="submit" value="Zapisz ustawienia" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');