<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( !defined('ID2') ) {

	if ( isset($_GET['wyslijTestowyMail']) ) {

		if ( wiadomosc( 'Witaj!' . "\n\n" . 'To jest przykładowa wiadomość e-mail wysłana ze strony ' . odczytKonf('adres') . '.' . "\n\n" . 'Obecność tej wiadomości w twojej skrzynce odbiorczej świadczy o prawidłowej konfiguracji serwera. Wiadomości e-mail będą więc wysyłane prawidłowo.', 'Testowa wiadomość' ) )
			komunikat('dob.Testowa wiadomość została wysłana. Sprawdź swoją pocztę e-mail.');

		else
			komunikat('zle.Testowa wiadomość nie została wysłana. Wysyłanie wiadomości nie działa.');
	}

	elseif ( odczytKonf('sprawdzanieAktualizacjiWT') and
			(odczytKonf('sprawdzanieAktualizacjiWT') < time() or odczytKonf('sprawdzanieAktualizacjiWT') == 'nowaWersja') ) {

		zapisKonf( array( 'sprawdzanieAktualizacjiWT' => time()+86400 ) );

		$polaczenieZSerwerem = get_headers('http://wizytowka.tomaszgasior.kao.pl/wersja.txt');

		if ( $polaczenieZSerwerem !== false and $polaczenieZSerwerem[0] == 'HTTP/1.1 200 OK' ) {

			$plikAktualizacji = file_get_contents( 'http://wizytowka.tomaszgasior.kao.pl/wersja.txt', null, null, null, 16 );
			$plikAktualizacji = explode( ',', $plikAktualizacji );

			if ( $plikAktualizacji[0] > floatval(WERSJA) ) {

				$aktualizacjaWersja = $plikAktualizacji[0];
				$aktualizacjaData   = $plikAktualizacji[1];

				zapisKonf( array( 'sprawdzanieAktualizacjiWT' => 'nowaWersja' ) );
				komunikat('xxx.Pojawiła się nowa wersja systemu WizyTówka. Dokonaj aktualizacji.');

			}

		}

	}

	include (SYSTEM.'/admin/naglowek.php');
?>
<style scoped>
	p.wersjaWT { text-align: center; font-size: 4em; margin: 0.3em 0; }
	p.wersjaWT + p { text-align: center; opacity: 0.7; margin: -1em 0 1em 0; }
	td span:not(#JSwlacz):not(#JSwylacz):not(.nielec) { float: right; }
	#JSwlacz { display: none; }
</style>

<h2>O WizyTówce&hellip;</h2>

<p class="wersjaWT">WizyTówka <strong><?php echo WERSJA ?></strong></p>
<p >Ta witryna działa w oparciu o system zarządzania treścią WizyTówka.<br />Używając systemu WizyTówka, akceptujesz jego <a href="?id=wizytowka&b=licencja">licencję</a>.<br />Data wydania tej wersji systemu: <?php echo WERSJA_DATA ?>.<br /><a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">http://wizytowka.tomaszgasior.kao.pl</a></p>

<?php if ( !is_numeric(WERSJA) ) { ?>
<p class="uwaga">Uwaga! Używana obecnie wersja WizyTówki jest wydaniem testowym. Nie należy jej używać do celów produkcyjnych, gdyż jej działanie nie zostało jeszcze w pełni przetestowane.</p>
<?php } ?>

<?php if ( PHP_VERSION_ID < 50307 ) { ?>
<p class="uwaga">Wersja PHP zainstalowana na tym serwerze jest przestarzała. WizyTówka nie będzie funkcjonować poprawnie! Aby rozwiązać ten problem, skontaktuj się z&nbsp;administratorem serwera. Należy zaktualizować PHP co najmniej do wersji <strong>5.3.7</strong>.</p>
<?php } ?>

<?php if ( !is_writable(DANE) ) { ?>
<p class="uwaga">Brak uprawnień do zapisu w katalogu <code><?php echo DANE ?></code>. WizyTówka nie będzie funkcjonować poprawnie! Aby rozwiązać ten problem, nadaj katalogowi <code><?php echo DANE ?></code> uprawnienia (chmod) <code>775</code> lub <code>777</code>.</p>
<?php } elseif ( !is_writable('.') ) { ?>
<p class="uwaga">Brak uprawnień do zapisu w głównym katalogu. WizyTówka nie będzie funkcjonować poprawnie! Aby rozwiązać ten problem, nadaj głównemu katalogowi uprawnienia (chmod) <strong>775</strong> lub <strong>777</strong>.</p>
<?php } ?>

<?php if ( isset($aktualizacjaWersja) ) { ?>
<p class="uwaga">Została opublikowana nowa wersja WizyTówki &mdash; <strong><?php echo $aktualizacjaWersja ?></strong> (data wydania: <?php echo $aktualizacjaData ?>). Już teraz wejdź na <a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">http://wizytowka.tomaszgasior.kao.pl</a> i zainstaluj najnowszą wersję systemu.</p>
<?php } ?>

<table>
	<tr> <td>Wersja PHP na serwerze:</td> <td><?php echo phpversion() ?> <span>(wymagane minimum: 5.3.7)</span></td> </tr>
	<tr> <td>Oprogramowanie serwera:</td> <td><span class="nielec" title="<?php echo $_SERVER['SERVER_SOFTWARE'] ?>"><?php echo (strpos($_SERVER['SERVER_SOFTWARE'],' ')===false) ? $_SERVER['SERVER_SOFTWARE'] : substr( $_SERVER['SERVER_SOFTWARE'], 0, strpos($_SERVER['SERVER_SOFTWARE'],' ') ) ?></span> <span>(zalecane: Apache)</span></td> </tr>
	<tr> <td>Przesyłanie wiadomości e-mail:</td> <td><?php echo ( !odczytKonf('wiadomoscEmailNiepomyslnie') ) ? 'działa' : '<span class="nielec" title="Data ostatniego sprawdzenia: ' . pokazDate(odczytKonf('wiadomoscEmailNiepomyslnie')) . '.">nie działa</span>' ?> <span>(<a href="?id=wizytowka&wyslijTestowyMail">wyślij testową wiadomość</a>)</span></td> </tr>
	<tr> <td>Uprawnienia zapisu folderu <code><?php echo DANE ?></code>:</td> <td><?php echo (is_writable(DANE)) ? 'zapisywalny' : 'niezapisywalny' ?> <span>(wymagane do działania)</span></td> </tr>
	<tr> <td>Uprawnienia zapisu głównego folderu:</td> <td><?php echo (is_writable('.')) ? 'zapisywalny' : 'niezapisywalny' ?> <span>(potrzebne do niektórych funkcji)</span></td> </tr>
	<tr> <td>JavaScript w przeglądarce:</td> <td><span id="JSwlacz">właczony</span> <span id="JSwylacz">wyłączony</span> <span>(wysoce zalecany)</span></td> </tr>
</table>

<script>
document.getElementById('JSwlacz').style.display = 'inline';
document.getElementById('JSwylacz').style.display = 'none';
</script>
<?php
		include (SYSTEM.'/admin/stopka.php');

}

elseif ( ID2 == 'podziekowania' ) {

	$dodatkowe['motywy'] = array();
	$dodatkowe['typy']   = array();
	$elementyZewnetrzne  = array();

	foreach ( array('typy','motywy') as $elementy ) {

		foreach ( zainstalowaneTypyMotywy($elementy) as $typ ) {

			$odczytTypu = odczytTypuMotywu( $elementy, $typ );

			if ( isset($odczytTypu['informacje']['autor']) and isset($odczytTypu['informacje']['www']) and isset($odczytTypu['informacje']['licencja']) )
				$dodatkowe[$elementy][ $odczytTypu['informacje']['nazwa'] ] = array( 'autor' => $odczytTypu['informacje']['autor'], 'www' => $odczytTypu['informacje']['www'], 'licencja' => $odczytTypu['informacje']['licencja'] );

			if ( isset($odczytTypu['elementyZewn']) ) {

				foreach ( $odczytTypu['elementyZewn'] as $nazwaElementu => $informacje ) {
					if ( !isset($elementyZewnetrzne[ $nazwaElementu ]) )
						$elementyZewnetrzne[ $nazwaElementu ] = array( 'wersja' => $informacje['wersja'], 'autor' => $informacje['autor'], 'www' => $informacje['www'], 'licencja' => $informacje['licencja']  );
				}

			}

		}

	}
	include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Podziękowania</h2>

<style scoped>
	table { text-align: center; }
	p.infoElementyZewn { text-align: right; font-size: 0.75em; opacity: 0.5; margin-top: -0.75em; margin-bottom: 1.5em; }
</style>

<?php
if ( !empty($dodatkowe['motywy']) ) {
?>
<h3>Motywy</h3>

<table>
	<tr> <th>Nazwa</th> <th>Autor</th> <th>Licencja</th> </tr>
<?php
	foreach ( $dodatkowe['motywy'] as $nazwaMotywu => $informacje ) {
?>
	<tr> <td><?php echo $nazwaMotywu ?></td> <td><a href="<?php echo $informacje['www'] ?>" target="_blank"><?php echo $informacje['autor'] ?></a></td> <td><?php echo $informacje['licencja'] ?></td> </tr>
<?php
	}
?>
</table>
<?php
}
?>

<?php
if ( !empty($dodatkowe['typy']) ) {
?>
<h3>Typy zawartości stron</h3>

<table>
	<tr> <th>Nazwa</th> <th>Autor</th> <th>Licencja</th> </tr>
<?php
	foreach ( $dodatkowe['typy'] as $nazwaTypu => $informacje ) {
?>
	<tr> <td><?php echo $nazwaTypu ?></td> <td><a href="<?php echo $informacje['www'] ?>" target="_blank"><?php echo $informacje['autor'] ?></a></td> <td><?php echo $informacje['licencja'] ?></td> </tr>
<?php
	}
?>
</table>
<?php
}
?>

<h3>Elementy zewnętrzne</h3>

<table>
	<tr> <th>Nazwa</th> <th>Wersja</th> <th>Autor</th> <th>Licencja</th> </tr>
	<?php if ( odczytKonf('edytorWizualny') ) { ?>
	<tr> <td><a href="http://ckeditor.com" target="_blank">CKEditor</a></td> <td><?php echo (odczytKonf('edytorWizualnyWlasny')) ? '&mdash;' : '4.4.6' ?></td> <td>Frederico Knabben</td> <td>LGPL</td> </tr>
	<?php } ?>
	<tr> <td><a href="http://jscolor.com" target="_blank">JSColor</a></td> <td>1.4.4</td> <td>Jan Odvárko</td> <td>LGPL</td> </tr>
	<?php if ( odczytKonf('edytorPlikowPodswietlanieSkladni') ) { ?>
	<tr> <td><a href="http://codemirror.net" target="_blank">CodeMirror</a></td> <td>4.8</td> <td>Marijn Haverbeke</td> <td>MIT</td> </tr>
	<?php } ?>
	<?php if ( odczytKonf('jezykMarkdown') ) { ?>
	<tr> <td><a href="http://michelf.ca/projects/php-markdown/classic" target="_blank">PHP Markdown</a></td> <td>1.0.2</td> <td>Michel Fortin</td> <td>BSD</td> </tr>
	<tr> <td><a href="http://daringfireball.net/projects/markdown" target="_blank">Markdown</a></td> <td>&mdash;</td> <td>John Gruber</td> <td>BSD</td> </tr>
	<?php } ?>
	<tr> <td><a href="http://github.com/ircmaxell/password_compat" target="_blank">password_compat</a></td> <td>1.0.4</td> <td>Anthony Ferrara</td> <td>MIT</td> </tr>
<?php
if ( !empty($elementyZewnetrzne) ) {
	foreach ( $elementyZewnetrzne as $nazwaElementu => $element ) {
?>
	<tr> <td><a href="<?php echo $element['www'] ?>" target="_blank"><?php echo $nazwaElementu ?></a></td> <td><?php echo $element['wersja'] ?></td> <td><?php echo $element['autor'] ?></td> <td><?php echo $element['licencja'] ?></td> </tr>
<?php
	}
}
?>
</table>

<p class="infoElementyZewn">Kod źródłowy elementów zewnętrznych został zmodyfikowany celem dopasowania do systemu WizyTówka.</p>

<?php
	include (SYSTEM.'/admin/stopka.php');

}

elseif ( ID2 == 'licencja' ) {

	include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Licencja</h2>

<?php include(SYSTEM.'/admin/licencja.php') ?>

<?php
	include (SYSTEM.'/admin/stopka.php');

}

else
	przekierowanie();