<?php
// WizyTówka 4
if (!defined('WT')) exit();


// mechanizm automatycznej aktualizacji plików konfiguracyjnych

function aktualizujKonf ( $ustawienia ) {

	$konfiguracja = odczytKonf();

	foreach ( $ustawienia as $ustawienie => $wartosc ) {
		if ( $wartosc == 'WTK_USUN' ) {
			unset($konfiguracja[$ustawienie]);
			echo '<p>Usunięcie ustawienia <code>', $ustawienie, '</code>.';
		}
		elseif ( !isset($konfiguracja[$ustawienie]) ) {
			$konfiguracja[$ustawienie] = $wartosc;
			echo '<p>Dodanie ustawienia <code>', $ustawienie, '</code> o wartości <code>', $wartosc, '</code>.';
		}
		else {
			$konfiguracja[$ustawienie] = $wartosc;
			echo '<p>Zmiana ustawienia <code>', $ustawienie, '</code> na wartość <code>', $wartosc, '</code>.';
		}
	}

	zapisKonf( $konfiguracja, true );

}

function listaStronTypu ( $poszukiwanyTyp ) {

	$listaStronTypu = array( 'strony' => array(), 'szkice' => array() );

	foreach ( listaStron() as $identyfikatorStrony ) {
		$odczytStrony = odczytStrony($identyfikatorStrony);
		if ( $odczytStrony['typ'] == $poszukiwanyTyp )
			$listaStronTypu['strony'][] = $identyfikatorStrony;
	}

	foreach ( listaStron(true) as $identyfikatorStrony ) {
		$odczytStrony = odczytStrony( $identyfikatorStrony, true );
		if ( $odczytStrony['typ'] == $poszukiwanyTyp )
			$listaStronTypu['szkice'][] = $identyfikatorStrony;
	}

	echo '<p>Aktualizacja konfiguracji stron typu <code>' . $poszukiwanyTyp . '</code>.</p>';

	return $listaStronTypu;

}

define( 'BLEDY_KRYTYCZNE', 1 );
$wersjaWT = odczytKonf('wersjaWT');
?>
<!doctype html>

<head>

<meta charset="UTF-8">
<meta http-equiv="refresh" content="20">
<title>Aktualizacja systemu &mdash; WizyTówka</title>

<style>
	body { margin: 3em auto; padding: 0 1em; max-width: 700px; background: #FFFFFF; font: 17px /1.65em Tahoma, Arial, sans-serif; color: #222222; }
	p { margin: 0.5em 0; }    a, a:visited { color: blue; text-decoration: none; }
	h1 { background: url(<?php echo SYSTEM ?>/admin/pliki/logo.png) no-repeat; width: 162px; height: 33px; text-indent: -9999px;  }
	div.log { background: #F0F0F0; padding: 0.2em 1em; margin: 0.7em 0; height: 250px; overflow-y: auto; }
	div.log > p:before { content: "»"; color: green; display: block; margin-bottom: -1.6em; }
	div.log > p { margin-left: 1.4em; text-indent: -1.4em; }
	div.log strong { color: red; }
	code { font: inherit; font-weight: bold; background: #DEDEDE; padding: 0 0.5em; }
</style>

</head>

<body>

<h1>WizyTówka &mdash; aktualizacja</h1>

<p>System WizyTówka został zaktualizowany z wersji <strong><?php echo odczytKonf('wersjaWT') ?></strong> do wersji <strong><?php echo WERSJA ?> (<?php echo WERSJA_DATA ?>)</strong>. Może być konieczna aktualizacja plików konfiguracyjnych. Nastąpi ona teraz automatycznie. Przez krótką chwilę witryna będzie niedostępna.</p>

<div class="log">

<?php

// aktualizacje ========================================================================

if ( $wersjaWT < 4.15 ) {

	aktualizujKonf( array(
		'ieHTML5Shiv' => '1',
		'edytorWizualnyOgraniczHTML' => '0',
	) );

	$wersjaWT = 4.15;

}

if ( $wersjaWT < 4.16 ) {

	aktualizujKonf( array(
		'kopiaZapasowaOstatnia' => '',
	) );

	if ( !defined('CZAS_GEN') )
		exit('<p><strong>Nie można dokończyć aktualizacji.<br>Zaktualizuj plik <code>index.php</code> do najnowszej wersji.</strong></p>');

	foreach ( listaStronTypu('galeriaZdjec') as $folder => $listaStron ) {
		foreach ( $listaStron as $identyfikatorStrony ) {
			$odczytStrony = odczytPlikuWTK( $folder . '/' . $identyfikatorStrony . '.wtk' );
			$odczytStrony['galleria']['pokazSlajdowInterakcja'] = 0;
			$odczytStrony['galleria']['pokazSlajdowCzas'] = $odczytStrony['galleria']['pokazSlajdow'];
			if ( $odczytStrony['galleria']['pokazSlajdowCzas'] < 1 ) {
				$odczytStrony['galleria']['pokazSlajdowCzas'] = 5;
				$odczytStrony['galleria']['pokazSlajdow']     = 0;
			}
			zapisPlikuWTK( $odczytStrony, $folder . '/' . $identyfikatorStrony . '.wtk', false );
		}
	}

	$wersjaWT = 4.16;

}

if ( $wersjaWT < 4.17 ) {

	aktualizujKonf( array(
		'dokumentacjaUkryj' => '0',
		'stopkaOstatniaAktualizacjaStrony' => 'WTK_USUN',
	) );

	foreach ( array('wtk','strony','szkice') as $folder ) {
		if ( !file_exists( DANE . '/' . $folder . '/.htaccess' ) )
			file_put_contents( DANE . '/' . $folder . '/.htaccess', 'Deny from all' );
	}
	echo '<p>Utworzenie plików konfiguracyjnych serwera <code>.htaccess</code>.</p>';

	$wersjaWT = 4.17;

}

if ( $wersjaWT < 4.18 ) {

	aktualizujKonf( array(
		'domyslnaStronaWPaneluAdmin' => 'WTK_USUN',
	) );

	foreach ( listaStronTypu('miniblog') as $folder => $listaStron ) {
		foreach ( $listaStron as $identyfikatorStrony ) {
			$odczytStrony = odczytPlikuWTK( $folder . '/' . $identyfikatorStrony . '.wtk' );
			$odczytStrony['wyborDatyWpisu'] = 0;
			zapisPlikuWTK( $odczytStrony, $folder . '/' . $identyfikatorStrony . '.wtk', false );
		}
	}

	foreach ( listaStronTypu('galeriaZdjec') as $folder => $listaStron ) {
		foreach ( $listaStron as $identyfikatorStrony ) {
			$odczytStrony = odczytPlikuWTK( $folder . '/' . $identyfikatorStrony . '.wtk' );
			$odczytStrony['miniatury'] = $odczytStrony['tabela'];
			$odczytStrony['miniatury']['wysokoscMiniatury'] = 150;
			unset($odczytStrony['miniatury']['szerokoscMiniatury']);
			unset($odczytStrony['tabela']);
			if ( $odczytStrony['wyswietlanie'] == 'tabela' )
				$odczytStrony['wyswietlanie'] = 'miniatury';
			zapisPlikuWTK( $odczytStrony, $folder . '/' . $identyfikatorStrony . '.wtk', false );
		}
	}

	foreach ( listaStronTypu('formularzKontaktowy') as $folder => $listaStron ) {
		foreach ( $listaStron as $identyfikatorStrony ) {
			$odczytStrony = odczytPlikuWTK( $folder . '/' . $identyfikatorStrony . '.wtk' );
			$odczytStrony['wyswietlanie'] = ($odczytStrony['wyswietlanie'] == 'tabela') ? 'kolumny' : 'wiersze';
			zapisPlikuWTK( $odczytStrony, $folder . '/' . $identyfikatorStrony . '.wtk', false );
		}
	}

	$wersjaWT = 4.18;

}

if ( $wersjaWT < 4.19 ) {

	aktualizujKonf( array(
		'mapaWitrynyStrony' => str_replace( ',', ';', odczytKonf('mapaWitrynyStrony') ),
		'stopkaDodatkowo'   => str_replace( '%sep%', '\n', str_replace('\n',null,usunZnakNowejLinii(odczytKonf('stopkaDodatkowo'))) )
	) );

	$wersjaWT = 4.19;

}

// aktualizacje ========================================================================

echo '<p>Zmiana numeru wersji z <code>', odczytKonf('wersjaWT'), '</code> na <code>', number_format(floatval(WERSJA),2), '</code>.</p>';
zapisKonf( array( 'wersjaWT' => number_format(floatval(WERSJA),2), 'sprawdzanieAktualizacjiWT' => time()+3600 ) );

?>

</div>

<p>Konfiguracja została pomyślnie zaktualizowana. Aby przeglądać witrynę możesz już teraz <a href="#" onclick="location.reload();">odświeżyć stronę</a> lub poczekać na odświeżenie automatyczne.</p>

</body>