<?php
// WizyTówka 4
if (!defined('WT')) exit();


switch($wtEtapPaneluAdmin) {

// ETAP TRZECI panelu administracyjnego ==================================================
	case 3:

		if ( isset($_GET['usun']) and isset($wtZawartoscStrony[ $_GET['usun'] ]) ) {

			// usunięcie elementu z tablicy elementów
			unset( $wtZawartoscStrony[ $_GET['usun'] ] );

			// wymuszenie nadpisania pliku zawartości strony po załadowaniu ETAPU PIERWSZEGO panelu administracyjnego
			$wtWymuszenieZapisu = true;

			$wtKomunikat = 'dob.Zdjęcie zostało usunięte z galerii zdjęć.';

		}

		if ( isset($_GET['dodano']) )
			$wtKomunikat = 'dob.Zdjęcie zostało dodane do galerii zdjęć.';

		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

// ETAP DRUGI panelu administracyjnego ===================================================
	case 2:

		if ( isset($_GET['dodaj']) ) {

			$_POST['tytul'] = (empty($_POST['tytul'])) ? $_POST['nazwaPliku'] : strip_tags($_POST['tytul']);
				// htmlspecialchars() nie wystarczy, bo Lightbox i Galleria i tak odkodują znaczniki HTML
			$_POST['dataDodania'] = time();

			// określenie numeru w kolejności
			if ( empty($wtZawartoscStrony) )
				$_POST['numerWKolejnosci'] =  1;
			else {
				foreach( $wtZawartoscStrony as $element )
					$wszystkieNumeryWKolejnosci[] = $element['numerWKolejnosci'];
				$_POST['numerWKolejnosci'] =  max($wszystkieNumeryWKolejnosci) + 1;
				// nowy element otrzyma następny w kolejności 'Numer w kolejności', by wylądować na końcu
			}

			// dodanie elementu do tablicy zawartości strony
			$wtZawartoscStrony[] = bezpiecznyHTML($_POST);

			przekierowanie( $wtOdnosnik . 'dodano' );

		}

		if ( isset($_GET['edycja']) and isset($wtZawartoscStrony[$_GET['edycja']]) ) {

			$_POST['tytul'] = (empty($_POST['tytul'])) ? $wtZawartoscStrony[$_GET['edycja']]['nazwaPliku'] : strip_tags($_POST['tytul']);
				// htmlspecialchars() nie wystarczy, bo Lightbox i Galleria i tak odkodują znaczniki HTML

			// zabezpieczenie numeru w kolejności
			if ( !is_numeric($_POST['numerWKolejnosci']) ) {
				foreach( $wtZawartoscStrony as $element )
					$wszystkieNumeryWKolejnosci[] = $element['numerWKolejnosci'];
				$_POST['numerWKolejnosci'] =  max($wszystkieNumeryWKolejnosci) + 1;
				// element otrzyma następny w kolejności 'Numer w kolejności', by wylądować na końcu
			}

			// zapis elementu w tablicy zawartości strony
			$wtZawartoscStrony[ $_GET['edycja'] ] = array_replace( $wtZawartoscStrony[$_GET['edycja']], bezpiecznyHTML($_POST) );

		}

		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

// ETAP PIERWSZY panelu administracyjnego ================================================
	case 1:

		//  === dodawanie pojedynczego elementu =========

		if ( isset($_GET['dodaj']) ) {

			$listaPlikowGraficznych = listaPlikow('bmp;jpg;jpeg;svg;png;gif');

			if ( empty($listaPlikowGraficznych) ) {
				$wtPrzycisk = false;
?>

<h3>Dodawanie zdjęcia do galerii zdjęć</h3>

<p class="uwaga">Nie przesłano jeszcze żadnego pliku graficznego, dlatego nie można dodać zdjęcia do tej galerii zdjęć. Aby dodać zdjęcie, musisz skorzystać z polecenia <a href="?id=wyslijPliki"><strong>Wyślij pliki</strong></a> dostępnego w menu <strong>Zawartość</strong>. Gdy zostanie przesłany choć jeden plik graficzny, ten komunikat zniknie.</p>

<?php
				// ^^^^^^^ komunikat, jeśli nie przesłano jeszcze żadnych plików graficznych...
			}
			else {
				$wtPrzycisk       = 'Dodaj zdjęcie';
				$wtPotwierdzenie  = true;
?>

<h3>Dodawanie zdjęcia do galerii zdjęć</h3>

<table>
	<tr> <td>Dodawany plik:</td> <td><select name="nazwaPliku"><?php generujListeWyboru($listaPlikowGraficznych) ?></select></td> </tr>
	<tr> <td>Tytuł:</td> <td><input type="text" name="tytul" /></td> </tr>
	<tr> <td>Opis:</td> <td><textarea name="opis"></textarea></td> </tr>
</table>

<?php
			}

		}

		//  === edycja pojedynczego elementu ============

		elseif ( isset($_GET['edycja']) and isset($wtZawartoscStrony[ $_GET['edycja'] ]) ) {

			$element = $wtZawartoscStrony[$_GET['edycja']];

			if ( file_exists( odczytKonf('adresPlikow').'/'.$element['nazwaPliku'] ) ) {
				$wtPrzycisk       = 'Zapisz zdjęcie';
				$wtPotwierdzenie  = true;
?>

<h3>Edycja zdjęcia</h3>

<table>
	<tr> <td>Nazwa pliku:</td> <td><?php echo $element['nazwaPliku'] ?></td> </tr>
	<tr> <td>Tytuł:</td> <td><input type="text" name="tytul" value="<?php echo $element['tytul'] ?>" required /></td> </tr>
	<tr> <td>Opis:</td> <td><textarea name="opis"><?php echo $element['opis'] ?></textarea></td> </tr>
	<tr> <td>Rozmiar:</td> <td><?php echo rozmiarPliku($element['nazwaPliku']) ?></td> </tr>
	<tr> <td>Data dodania:</td> <td><?php echo pokazDate($element['dataDodania']) ?></td> </tr>
</table>

<table>
	<tr> <td>Numer w kolejności:</td> <td><input type="number" name="numerWKolejnosci" value="<?php echo $element['numerWKolejnosci'] ?>" required /></td> </tr>
</table>

<?php if ( $wtUstawieniaStrony['wyswietlanie'] == 'galleria' ) { ?>
<p class="informacja">W opisie zdjęcia można używać znaczników HTML.</p>
<?php } else { ?>
<p class="informacja">Obecnie opisy zdjęć nie są wyświetlane, uwzględniane są tylko tytuły zdjęć. Aby zmienić ten stan, przejdź do <a href="?id=ustawieniaStrony&b=<?php echo ID2, (($szkic) ? '&szkic' : '') ?>">ustawień tej strony</a> i zmień sposób wyświetlania galerii.</p>
<?php } ?>

<?php
			}
			else {
				$wtPrzycisk = false;
?>

<h3>Edycja zdjęcia</h3>

<table>
	<tr> <td>Nazwa pliku:</td> <td><?php echo $element['nazwaPliku'] ?></td> </tr>
</table>

<p class="uwaga">Ten plik graficzny został usunięty lub zmieniono jego nazwę, dlatego nie może on pozostawać w tej galerii zdjęć. Usuń ten plik z galerii zdjęć lub sprawdź na stronie <a href="?id=wyslanePliki"><strong>Wysłane pliki</strong></a> dostępnej z menu <strong>Zawartość</strong>, czy owy plik w ogóle istnieje.</p>

<?php
				// ^^^^^^^ komunikat, jeśli plik został usunięty i nie istnieje na serwerze
			}
		}

		//  === lista wszystkich elementów ==============

		else {

			$wtPrzycisk = -1;
?>

<h3>Zdjęcia dodane do galerii zdjęć</h3>

<ul class="listaKafelkowa">
<?php
			if ( !empty($wtZawartoscStrony) ) {

				$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, ($wtUstawieniaStrony['sortowanie']=='losowo') ? 'tytul' : $wtUstawieniaStrony['sortowanie'], $wtUstawieniaStrony['sortowanieOdwrotnie'] );
					// jeżeli zdjęcia sortowane są losowo, w panelu sortujemy je wg tytułu

				foreach ( $wtZawartoscStrony as $numer => $element ) {
?>
	<li>
		<span><a title="<?php echo tekst($element['tytul']) ?>" href="<?php echo $wtOdnosnik ?>edycja=<?php echo $numer ?>"><?php echo tekst($element['tytul']) ?></a></span>
		<span class="opis"><?php echo (file_exists( odczytKonf('adresPlikow').'/'.$element['nazwaPliku'] )) ? rozmiarPliku($element['nazwaPliku']) : 'Plik nie istnieje' ?></span> |
		<a href="<?php echo $wtOdnosnik ?>edycja=<?php echo $numer ?>">Edytuj</a> |
		<a href="<?php echo $wtOdnosnik ?>usun=<?php echo $numer ?>" onclick="return confirm('Czy na pewno chcesz usunąć to zdjęcie?');">Usuń</a>
	</li>
<?php
				}

			}
?>
	<li class="dodaj">
		<span><a href="<?php echo $wtOdnosnik ?>dodaj">Dodaj zdjęcie</a></span>
	</li>
</ul>
<?php
		}

	break;
// koniec etapu panelu administracyjnego -------------------------------------------------

}